import request from '@/utils/request';

/**
 * iframe嵌入链接，在线打开文档
 * @param params
 * @returns 重定向的页面
 */
export function embedCAD(params = {}) {
  return request.get<any>('/thirdparty/embed', {
    params,
  });
}

/**
 * 注册第三方平台用户到CrownCAD
 * @param params
 * @returns 返回用户名
 */
export async function thirdpartyRegister(params = {}) {
  return request('/thirdparty/register', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}

/**
 * 通过用户名获取到用户授权码-Token
 * @param params
 * @returns 返回用户名
 */
export async function thirdpartyToken(params = {}) {
  return request('/thirdparty/token', {
    method: 'POST',
    data: {
      ...params,
    },
  });
}
