import { thirdpartyRegister, thirdpartyToken } from '@/api/crownCAD/crownCAD';

// 授权码初始化
export const clientId = import.meta.env.VITE_CAD_CLIENTID;
export const clientSecret = import.meta.env.VITE_CAD_SECRET;

/**
 * 注册第三方平台用户到CrownCAD
 * /thirdparty/register
 * @param userName 第三方平台用户名，应该从登录用户名获取，去与第三方数据对接，暂时先写死
 * @param phoneNumber 第三方平台手机号
 * @param clientID 应用授权 ID
 * @param clientSecret 应用授权 Secret
 */

const userName = 'user1';
const registerFun = async () => {
  try {
    const { data } = await thirdpartyRegister({
      userName,
      phoneNumber: '18567897654',
      clientID: clientId,
      clientSecret: clientSecret,
    });
    if (data.data && data.data === '用户已绑定') {
      return userName;
    } else {
      data;
    }
  } catch (e) {
    return userName;
  }
};

/**
 * 获取用户授权码
 * /thirdparty/token
 * @param userName 注册完成后的 第三方平台用户名
 * @param clientID 应用授权 ID
 * @param clientSecret 应用授权 Secret
 */

export const getThirdToken = async () => {
  try {
    const tUserName = await registerFun();
    const { data } = await thirdpartyToken({
      userName: tUserName,
      clientID: clientId,
      clientSecret: clientSecret,
    });
    return data.data;
  } catch (e) {
    return false;
  }
};
