import { useHttp } from '@crami/http';
//获取转换服务左侧树
export async function getConvertTreeData() {
  return await useHttp({
    method: 'get',
    url: '/api/file/conversion/console/clusterTree',
  });
}
interface TableParams {
  clusterName: string;
  conversionDeal: string;
  endPointName: string;
  pageNumber: number;
  pageSize: number;
}
//获取未完成列表
export async function getNoFinishList(params: TableParams) {
  return await useHttp({
    method: 'post',
    url: '/api/file/conversion/console/listUnfinished',
    params,
  });
}

//获取已完成列表
export async function getFinishedList(params: TableParams) {
  return await useHttp({
    method: 'post',
    url: '/api/file/conversion/console/listFinished',
    params,
  });
}
//已完成列表-删除
interface DeleteParams {
  commandIds: string[];
}
export async function batchDelete(params: DeleteParams) {
  return await useHttp({
    method: 'delete',
    url: '/api/file/conversion/console/batchDelete',
    params,
  });
}

interface CommandTextParams {
  commandId: string;
}
//已完成列表--重新转换
export async function reConvert(params: CommandTextParams) {
  return await useHttp({
    method: 'get',
    url: '/api/file/conversion/console/reCovert',
    params,
  });
}
//日志详情--获取命令正文
export async function getCommandText(params: CommandTextParams) {
  return await useHttp({
    method: 'get',
    url: '/api/file/conversion/console/commandInfo',
    params,
  });
}

interface LogParams {
  commandId: string;
  //conversionId: string;
  pageNumber: number;
  pageSize: number;
}
//日志详情--转换服务日志
export async function getServiceLog(params: LogParams) {
  return await useHttp({
    method: 'post',
    url: '/api/file/conversion/console/commandLog',
    params,
  });
}

//日志详情--转换程序日志
export async function getProgramLog(params: LogParams) {
  return await useHttp({
    method: 'post',
    url: '/api/file/conversion/console/covertLog',
    params,
  });
}
