// import request from '@/utils/request';
import { useHttp } from '@crami/http';

//保存批注
interface savaAnnotationFile {
  fileCode: string;
  userId: string;
}

export async function savaAnnotationFile(fileCode, params, userId) {
  return await useHttp({
    url: '/api/file/fileAnnotation/savaAnnotationFile?fileCode=' + fileCode + '&&userId=' + userId,
    method: 'post',
    params,
  });
}

//获取用户id
export async function getFileCreateUser(fileCode) {
  return await useHttp({
    url: `/api/file/fileAnnotation/getFileCreateUser/${fileCode}`,
    method: 'get',
  });
}

//获取批注参数化树数据
export async function getAnnotationTree(fileCode) {
  return await useHttp({
    url: `/api/file/fileAnnotation/getAnnotationTree/${fileCode}`,
    method: 'get',
  });
}
//编辑批注
export async function updateAnnotationFile(params) {
  return await useHttp({
    url: '/api/file/fileAnnotation/updateAnnotationFile',
    method: 'post',
    params,
  });
}

//根据id查询批注
interface getAnnotationFileByList {
  fileCode: string;
  userId: string;
  state: number;
}

export async function getAnnotationFileByList(params: getAnnotationFileByList) {
  return await useHttp({
    url: `/api/file/fileAnnotation/getAnnotationFileByList`,
    method: 'get',
    params,
  });
}

//根据id删除批注
interface deleteAnnotation {
  eid: string;
  preview: number;
}

export async function deleteAnnotation(eid: string) {
  return await useHttp({
    url: `/api/file/fileAnnotation/deleteAnnotation/${eid}`,
    method: 'delete',
  });
}

//预览
export async function download(eid: string, preview: number) {
  return await useHttp({
    url: `/api/file/applicationFile/download?eid=` + eid + '&&preview=' + preview,
    method: 'get',
  });
}



//批注权限
interface accessControl {
  objId: string;
  objType: string;
  action: string;  //( DOWNLOAD 下载 PRINT 打印)
}
export async function accessControl(params: accessControl) {
  return await useHttp({
    url: '/api/file/fileAnnotation/accessControl',
    method: 'post',
    params,
  });
}
