import request from '@/utils/request';

export interface RegisterData {
  lang: string;
  connect: string;
  project: string;
  companyId: string;
  orgId: string;
  roleId: string;
  username: string;
  password: string;
  password2: string;
  userPhone: string;
  code: string;
}

export interface RegisterResp {
  data: Record<any, any>;
  success: boolean;
  code?: number | undefined;
  msg?: string | undefined;
}

export async function postRegister(data: RegisterData) {
  return request.request<RegisterData, RegisterResp>({
    url: '/auth/register',
    method: 'POST',
    data,
  });
}
