import { useHttp } from '@crami/http';

export interface MetaData {
  connect: string;
  lang: string;
  companyId: string;
  userId: string;
}

export interface CardMetaData extends MetaData {
  // 虽然属性名为cardId，其实是指卡片编码属性
  cardId: string;
}

// 卡片管理-删除卡片
export async function deleteCard(params: CardMetaData) {
  return useHttp({
    url: '/api/workbench/card/deleteCard',
    method: 'post',
    params,
  });
}

// 卡片管理-校验卡片是否在使用
export async function checkCardUsed(params: CardMetaData) {
  return useHttp({
    url: '/api/workbench/card/checkCardUsed',
    method: 'post',
    params,
  });
}

// 卡片管理-启用卡片
export async function enableCard(params: CardMetaData) {
  return useHttp({
    url: '/api/workbench/card/enableCard',
    method: 'post',
    params,
  });
}

// 卡片管理-停用卡片
export async function disableCard(params: CardMetaData) {
  return useHttp({
    url: '/api/workbench/card/disableCard',
    method: 'post',
    params,
  });
}

// 查询卡片分类树接口
export async function getCardTypeListTree(params: MetaData) {
  return useHttp({
    url: '/api/workbench/cardType/getCardTypeListTree',
    method: 'post',
    params,
  });
}

// 查询卡片列表
export async function getCardList(params: MetaData) {
  return useHttp({
    url: '/api/workbench/card/getCardList',
    method: 'post',
    params,
  });
}