'use strict';

import './js-spark-md5.js';

export default function (file, callback, list) {
  var blobSlice = File.prototype.slice || File.prototype.mozSlice || File.prototype.webkitSlice,
    file = file,
    chunkSize = 5 * 1024 * 1024, // Read in chunks of 2MB
    chunks = Math.ceil(file.size / chunkSize),
    currentChunk = 0,
    spark = new SparkMD5.ArrayBuffer(),
    fileReader = new FileReader();

  let index = 0;

  fileReader.onload = function (e) {
    // console.log('read chunk nr', currentChunk + 1, 'of', chunks);
    // console.log(e.target.result)
    spark.append(e.target.result); // Append array buffer
    currentChunk++;

    if (currentChunk < chunks) {
      // console.log()
      // callback(spark.end());
      loadNext();
    } else {
      let part = spark.end();
      // console.log(part)
      //   callback(part);
      //   callback(null, spark.end());
      //   console.log('finished loading');
    }
  };

  fileReader.onerror = function () {
    callback('oops, something went wrong.');
  };

  function loadNext() {
    var start = currentChunk * chunkSize,
      end = start + chunkSize >= file.size ? file.size : start + chunkSize;

    //   console.log(start)
    //   console.log(end)
    callback(file.slice(start, end), list[index++]);
    fileReader.readAsArrayBuffer(blobSlice.call(file, start, end));
  }

  loadNext();
}
