import { setupI18n, autoLoadI18n } from '@crami/locale';
// import { STORAGE_LANG_KEY } from '@/store/mutation-type';
import { defaultLang } from '../locales';

export function createLanguageGuard(router: any, app: any): void {
  // const lang = localStorage.get('zh-CN', defaultLang);
  setupI18n(app, {
    messages: {},
    locale: 'zh-CN',
    missingWarn: false,
    fallbackWarn: false,
    // 如果不需要国际化，可以打开如下两个配置，取消控制台的警告
    silentTranslationWarn: true,
    silentFallbackWarn: true,
    // 配置多语言模块加载信息
    loadLocalePool: [
      // 全局配置
      {
        name: 'home',
        type: 'global',
        requestType: 'ts',
        glob: import.meta.glob('/src/locales/lang/*.ts'),
      },
      {
        name: 'StorageManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'ApplicationManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'ExpandManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'SynchroManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'AppDemo',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'FileSynchronizationMonitoring',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'ConvertMonitor',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'pushFile',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
      {
        name: 'pushTestFile',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/FileService/locales/*.ts'),
      },
    ],
  });

  // 使用router的路由守卫进行多语言的自动加载
  router.beforeEach(async (to, before, next) => {
    await autoLoadI18n(to.name as string);
    // await autoLoadI18n({ name: 'Message' });
    next();
  });
}
