import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/StorageManagement' },
  // {
  //   path: '/Test',
  //   name: 'Test',
  //   component: () => import('@/components/Test.vue'),
  // },
  // 存储结构管理
  {
    path: '/StorageManagement',
    name: 'StorageManagement',
    component: () => import('@/views/FileService/StorageManagement/StorageManagement.vue'),
  },
  // 应用文件管理
  {
    path: '/ApplicationManagement',
    name: 'ApplicationManagement',
    component: () => import('@/views/FileService/ApplicationManagement/ApplicationManagement.vue'),
  },
  // 拓展策略管理
  {
    path: '/ExpandManagement',
    name: 'ExpandManagement',
    component: () => import('@/views/FileService/ExpandManagement/ExpandManagement.vue'),
  },
  // 数据同步策略管理
  {
    path: '/SynchroManagement',
    name: 'SynchroManagement',
    component: () => import('@/views/FileService/SynchroManagement/SynchroManagement.vue'),
  },
  // 文件服务测试
  {
    path: '/AppDemo',
    name: 'AppDemo',
    component: () => import('@/views/FileService/ApplicationManagement/AppDemo.vue'),
  },
  // 文件同步监控
  {
    path: '/FileSynchronizationMonitoring',
    name: 'FileSynchronizationMonitoring',
    component: () => import('@/views/FileService/FileSynchronizationMonitoring/Index.vue'),
  },
  // 文件转换监控
  {
    path: '/ConvertMonitor',
    name: 'ConvertMonitor',
    component: () => import('@/views/FileService/ConvertMonitor/Index.vue'),
  },
  // 文件列表
  {
    path: '/platform/fileService/applicationManagement/pushFile',
    name: 'pushFile',
    component: () => import('@/views/FileService/ApplicationManagement/pushFile.vue'),
  },
  // 文件列表
  {
    path: '/platform/FileService/ApplicationManagement/pushFileDemo',
    name: 'pushTestFile',
    component: () => import('@/views/FileService/ApplicationManagement/pushFileDemo.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
