// https://blog.csdn.net/HuanFengZhiQiu/article/details/109174550
import CryptoJS from 'crypto-js';

export default class Crypto {
  constructor(key: string, options?: any) {
    if (!key) {
      throw Error('必须有key');
    }
    this.key = CryptoJS.enc.Utf8.parse(key);
  }

  encrypt(content) {
    var encryptedData = CryptoJS.AES.encrypt(content, this.key, {
      mode: CryptoJS.mode.ECB,
      padding: CryptoJS.pad.Pkcs7
    });
    return encryptedData.toString();
  }

  decrypt(content) {
    var encryptedHexStr = CryptoJS.enc.Base64.parse(content);
    var encryptedBase64Str = CryptoJS.enc.Base64.stringify(encryptedHexStr);
    var decryptedData = CryptoJS.AES.decrypt(encryptedBase64Str, this.key, {
      mode: CryptoJS.mode.ECB,
      padding: CryptoJS.pad.Pkcs7
    });
    return decryptedData.toString(CryptoJS.enc.Utf8);
  }
}

