const file = {
  file: {
    common: {
      search: 'search',
      tipTitle: 'Tips',
      disableMsg: 'Confirm to delete',
      okText: 'confirm',
      confirmText: 'determine',
      cancelText: 'cancel',
      operation: 'operation',
      successMsg: 'Saved successfully',
      closeText: 'close',
      newlyTitle: 'newly added',
      newFile: 'New file volume',
      noData: 'No data',
      yesTip: 'yes',
      noTip: 'no',
      nothing: 'nothing',
      stateSearch: 'Status query',
      errorMsg: 'Please select a piece of data',
      loading: 'Loading data..',
      failLoading: 'Data loading failed, please try again',
      uploadTip: 'Uploading, please wait patiently...',
      uploadError: 'Upload failed',
      mainVersion:
        'The main historical version will be deleted, and other historical versions will be deleted, Are you sure to delete',
    },
    // 规则
    rules: {
      maxTwentyLength: 'Maximum length 20',
      maxTwoHundred: 'Maximum length 200',
      maxFiveHundred: 'The maximum length is 500',
      warehouseCodeTip: 'Encoding can only be numbers / lowercase letters',
      noWarehouseCode: 'Application warehouse code cannot be empty',
      warehouseNameTip: 'Application warehouse name cannot be empty',
      volumeCodeTip: 'Encoding can only be numbers / lowercase letters',
      noVolumeCode: 'File volume code cannot be empty',
      noVolumnName: 'File volume name cannot be empty',
      noStrategyName: 'Policy name cannot be empty',
      noVolumeCapacityWarning: 'Capacity alert value cannot be empty',
      noStrategyCode: 'Policy ID cannot be empty',
      noMainStorage: 'The storage cluster cannot be empty. Please select',
      noSelect: 'Please select',
      noType: 'Scheduling type cannot be empty',
      noStrategy: 'Expiration policy cannot be empty',
      dispatch: 'Scheduling parameter cannot be empty',
      noBlock: 'Blocking policy cannot be empty',
      noTime: 'Task timeout, in seconds, takes effect when it is greater than zero',
      noLose: 'Number of failed retries, effective when greater than zero',
      noSelectStorage: 'Please select a storage cluster',
      noStorage: 'Storage cluster cannot be empty',
      noVolumnMax: 'File volume capacity cannot be empty',
      volumnMax: 'File volume capacity cannot be less than used capacity',
      volumeWarning: 'The file volume capacity is greater than the capacity alert value',
      numberTip: 'Please enter an integer between 0-9999999',
      numberTips: 'Please enter an integer between 0-9999',
    },
    // 存储结构管理
    storageManagement: {
      storageTitle: 'Storage cluster list',
      storageName: 'Storage cluster name',
      storageDescription: 'Storage cluster description',
      accAddress: 'Access address',
      accConsoleAddress: 'Storage cluster console address',
      accUser: 'Access user',
      accPwd: 'Access key',
      states: 'state',
      capacityWarning: 'Storage cluster capacity warning value (GB)',
      usedCapacity: 'Storage cluster used capacity',
    },
    // 应用文件管理
    fileManagement: {
      volumnTitle: 'File volume list',
      warehouseTitle: 'Application warehouse',
      editText: 'edit',
      deleteText: 'delete',
      lookText: 'see',
      addText: 'newly added',
      uploadTitle: 'upload',
      historyTtile: 'Historical version',
      downLoadBtn: 'download',
      mainBtn: 'Set as master version',
      warehouseName: 'Application warehouse name',
      warehouseCode: 'Apply warehouse code',
      warehouseDescribe: 'Application warehouse description',
      belongingWarehouse: 'Application warehouse',
      volumeCode: 'File volume code',
      volumeName: 'File volume name',
      volumeDescribe: 'File volume description',
      synchronousCluster: 'Synchronous storage cluster',
      fileName: 'File name',
      filePath: 'File path',
      versionCode: 'Version ID',
      expiresOn: 'Expiration time',
      isgeneralfile: 'Select general file',
      fileDescription: 'Document description',
      fileType: 'file type',
      metadata: 'Metadata information',
      singleFileLimit: 'Maximum single file size (KB)',
      volumeCapacityLimit: 'Maximum file volume capacity (GB)',
      volumeUsedCapacity: 'File volume used capacity (GB)',
      volumeCapacityWarning: 'Capacity warning value (GB)',
      typeLimit: 'Type restrictions',
      annotationsHidden: 'Hide annotations',
      annotationsDisplay: 'Show comments (read only)',
      annotationsEdit: 'Show comments (editable)',
      parameter: 'Parametric display',
      unlimited: 'Unlimited',
      whiteList: 'White list',
      blackList: 'blacklist',
    },
    // 拓展策略管理
    expandManagement: {
      policyName: 'Policy name',
      policyIdentifying: 'Policy ID',
      isEnable: 'Enable or not',
      policyDescribe: 'Policy description',
      policyTransfer: 'Transmission strategy',
      enable: 'Enable',
      disable: 'Disable',
      policyOrder: 'Tip: drag data to adjust execution order',
      isTop: 'Put on top',
      isBottom: 'Bring to the bottom',
      alreadyTop: 'Already top level',
      alreadyBottom: 'Is already the bottom layer',
      insertList: 'Plug in list',
      policyList: 'Policy list',
    },
    // 数据同步策略配置
    dataSynManagement: {
      config: 'to configure',
      primaryStorageCluster: 'storage cluster',
      synExecutionSequence: 'Synchronous execution sequence',
      scheduleType: 'Scheduling type',
      scheduleParam: 'Scheduling parameters',
      expireStrategy: 'Expiration Policies',
      blockStrategy: 'Blocking policy',
      timeOut: 'Timeout',
      failCount: 'Number of failures',

      selStorageCluster: 'Select storage cluster',
      selOrganization: 'Select organization',

      resetBtn: 'Reset',
      preserveBtn: 'preservation',
    },
    //文件同步监控
    fileSyncMonitor: {
      tableTitle: 'File synchronization monitoring list',
      deleteConfirm: 'Delete Confirmation',
      deleteInfo: 'Are you sure to delete {count}?\r It cannot be retrieved after deletion',
    },
    //转换服务监控
    convertMonitor: {
      noCompleteTab: 'Conversion not completed',
      completedTab: 'Conversion completed',
      convertInfo: 'Are you sure to convert again?',
      deleteInfo: 'Are you sure to delete {count}?\r It cannot be retrieved after deletion',
      lookConVertLog: 'View conversion log',
      reConvert: 'Reconvert',
      logInfo: 'Log information',
      command: 'Conversion command',
      objectname: 'Object name',
      objcreator: 'Object creator',
      createtime: 'Createtime',
      conversionstate: 'Transition status',
      conversionstartdate: 'Conversion start time',
      conversionenddate: 'Conversion end time',
      time: 'Conversion duration (seconds)',
      clustername: 'Cluster Name',
      endpointname: 'Node name',
      operation: 'Operation',
      undistributed: 'Unassigned',
      queuing: 'Queueing',
      converting: 'Converting',
      convertSuccess: 'Conversion succeeded',
      convertFailure: 'Conversion failed',
      allState: 'All types',
      order: 'Serial number',
      seviceLog: 'Conversion service log',
      programLog: 'Converter log',
      commandText: 'Command body',
      createTimeLog: 'createTime',
      logLevel: 'Log level',
      logContent: 'Log content',
      completeList: 'Completed conversion list',
    },
    upload: {
      fileList: 'File List',
      uploadError: 'Upload failed',
      uploadSuccess: 'Upload succeeded',
      uploadBefore: 'To be uploaded',
      reUpload: 'Upload again',
      confirmDelete: 'confirm deletion',
      deleteText: 'Delete',
      upload: 'Upload',
      batchUpload: 'Batch upload',
      selectFile: 'Select file',
      fileName: 'File name',
      fileSize: 'File size',
      fileType: 'File type',
      state: 'State',
      tooBig: 'The {count} size is too large to upload',
      closeConfirm: 'Close confirmation',
      closeInfo:
        'Some files are being uploaded. Closing will terminate uploading. Are you sure to close?',
    },
    //批注
    preview: {
      rect: 'rectangle',
      select: 'choice',
      arrow: 'arrow',
      elispse: 'ellipse',
      line: 'straight line',
      polyLine: 'broken line',
      textbox: 'text',
      note: 'remarks',
      color: 'colour',
      delete: 'delete',
      deleteAll: 'Delete all',
      save: 'preservation',
      confirm: 'confirm',
      noAnnotation: 'No comments yet',
      previewTitle: 'Preview or comment',
      noPreview: 'Preview or annotation is not supported for this data',
      previewCheck_2: 'File conversion service is not started',
      previewCheck_3: 'File does not support preview',
      previewCheck_4: 'File is being converted',
      previewCheck_5: 'File conversion failed',
    },
  },
};

export default file;
