export interface ICell {
  type: string;
  align: 'left' | 'center' | 'right';
  'vertical-align': string;
  'text-align': 'left' | 'center' | 'right';
  'text-vertical-align': string;
  width: string | null;
  height: string | null;
  'font-family': string;
  'font-size': number;
  'font-weight': boolean | number;
  'font-style-italic': boolean;
  'text-decoration-underline': boolean;
  color: string;
  id: string;
  x: number;
  y: number;
  'relation-position': string;
  'extension-direction': string;
  'fill-dynamic-data': any;
  anchoring: boolean;
  check: any;
  'check-tooltip': string;
  readonly: boolean;
  required: boolean;
  tag?: {
    Master: boolean;
    //主表名称
    ObjTypeName: string;
    ObjTypeText: string;
    //组件原始类型
    DisposeType: string;
    InfoType: string;
    Params?: any;
    Text: string;
  };
  path: Array<string>;
}

export interface IFormData {
  rows: Array<{
    height: number;
    x: number;
    y: number;
  }>;
  cells: Array<{ colspan: number; rowspan: number; x: number; y: number }>;
  columns: Array<{ width: number; x: number; y: number }>;
  controls: Array<ICell>;
  datasets: {
    template: Array<Record<string, ICell>>;
    data: Array<any>;
  };
}
