const lifeCycle = {
  lifeCycle: {
    common: {
      inputIDPlaceholder: 'Please enter ID',
      inputNamePlaceholder: 'Please enter a name',
      selectPlaceholder: 'Please select a category',
      textareaPlaceholder: 'Please enter a description',
      formItemKindLabel: 'Classification',
      formItemNameLabel: 'Icon',
      formItemDescLabel: 'Describe',
      nameBox: 'Name',
      titleLineNumber: 'Index',
      titleLineLanguage: 'Language',
      promiseReject: 'Please select icon or upload icon file',
      encodeMessage: 'Only letters can be entered, with a maximum length of 20',
      enameMessage: 'Please enter a name with a maximum length of 10',
      initStatusMessage: 'Please select the initial state',
      typeIDMessage: 'Please select a category',
      iconMessage: 'Please select an icon',
      langWarning:
        'English language can only input English letters, and the length is limited to 30',
      langNameWarning: 'Please enter the language name',
      saveSuccess: 'Saved successfully!',
      idUniqueError: 'This ID has been set, please fill in again',
      addLangWarning: 'There are currently {count} languages, no more can be added',
      changeLangWarning: 'The unified language cannot be set repeatedly!',
      langListWarning: 'Please select a language type',
      attributeLabel: 'Attribute',
      initialStateLabel: 'Initial state',
      workingObjects: 'Working with objects',
      selectObjectsToUse: 'Select objects to use',
      enable: 'Enable',
      disable: 'Disable',
      notEnabled: 'Not Enabled',
      confirmDeletion: 'Confirm to delete?',
      deletionSucceeded: 'Deletion succeeded!',
      operationFailed: 'Operation failed',
    },
    // 生命周期列表
    lifeCycleList: {
      tabTitle: 'Lifecycle list',
      handleTitle: 'Lifecycle query',
      confirmContent: 'Are you sure to delete lifecycle {count} ?',
    },
    // 状态列表
    stateList: {
      tabTitle: 'Status list',
      handleTitle: 'Status query',
      confirmContent: 'Are you sure you want to delete {count} ? Cannot retrieve after deletion!',
    },
    plugin: {
      plugin1: 'Lifecycle using minor version management',
      plugin2: 'Is the life cycle of components revised after the process is passed',
      plugin3: 'Whether change is necessary when revising parts and components',
      processTemplateCode: 'Process template code:',
      processTemplateCodeLength: 'Enter a maximum of 500 words',
      processTemplateCodeRequired: 'Required Fields!',
      MaterialLifeCycleLabel1:
        'Versioning: This life cycle uses minor versioning, where only minor versions are upgraded upon revision',
      MaterialLifeCycleLabel2:
        'Versioning: Whether the revised parts and components must be changed',
      MaterialLifeCycleLabel3:
        'BOM Edit: It is not allowed to add components with low life cycle under parent components',
      MaterialLifeCycleLabel4:
        'Transfer lifecycle process: Lifecycle transfer is allowed only after publication',
      MaterialLifeCycleLabel5:
        'Transfer lifecycle process: Lower-lifecycle child components must be lifecycle rolled together',
      MaterialLifeCycleLabel6:
        'Transfer lifecycle process: After the process is passed, the parts and components are revised first, and then the life cycle is changed',
    },
  },
};

export default lifeCycle;
