export interface TabData {
  activeKey: string;
  items: Array<any>;
  linkData: {
    pageLinkList: Array<any>;
  };
}
export interface FormModel {
  EID: string;
  ECODE: string;
  ENAME: string;
  // 状态 0启用 1 停用
  STATEID: '0' | '1' | '2';
  // 初始状态
  INIT_STATUS: string;
  // 创建人
  CREATEUID: string;
  // 创建时间
  CREATETIME: string;
  // 修改人
  UPDATEUID: string;
  // 修改时间
  UPDATETIME: string;
  // 是否删除  0否 1 是
  DELFLAG: '0' | '1';
  // 业务模型
  MODEL: any[];
  MODELNAMES: string;
  // 所属组织
  OWNGID: string;
  // 所属人
  OWNUID: string;
  ECOMPANYID: string;
  LINKLIST: Array<any>;
}
export interface StateList {
  label: string;
  options: Array<StateItem>;
}
export interface StateItem {
  label: string;
  value: string;
}
export interface LifeList {
  EID?: string;
  RefrashID: string;
  mode: string;
  records?: LifeItem;
}
export interface LifeItem {
  CREATEUID: string;
  ECODE: string;
  EID: string;
  ENAME: string;
  ICON: string;
  INIT_STATUS: string;
  STATEID: string;
  UPDATETIME: string;
  url: string;
}
interface LifeRecordItem {
  CREATEUID: string;
  ECODE: string;
  EID: string;
  ENAME: string;
  ICON: string;
  INIT_STATUS: string;
  STATEID: string;
  UPDATETIME: string;
  action?: any;
  url?: string;
}

//删除生命周期返回参数类型接口
export interface LifeRecord {
  RefrashID: string;
  eidstr: Array<LifeRecordItem>;
}
interface StateRecordItem {
  CREATEUID: string;
  ECODE: string;
  EID: string;
  ENAME: string;
  ICON: string;
  TYPE_ID: string;
  UPDATETIME: string;
  action?: undefined;
  url?: string;
}
//删除状态列表返回参数类型接口
export interface StateRecord {
  RefrashID: string;
  eidstr: Array<StateRecordItem>;
}
//搜索参数类型接口
export interface SearchParamsItem {
  andOrFlag: string;
  field: string;
  operation: string;
  value: string;
}
