import { setupI18n, autoLoadI18n } from '@crami/locale';
// import { STORAGE_LANG_KEY } from '@/store/mutation-type';
// import { localStorage } from '@/utils/local-storage';
// 模块联邦: 替换成远程引入
import { localStorage } from '@remote/icpx-platform/utils';
// import { defaultLang } from '../locales';

export function createLanguageGuard(router: any, app: any): void {
  // const lang = localStorage.get('zh-CN', defaultLang);
  setupI18n(app, {
    messages: {},
    locale: 'zh-CN',
    missingWarn: false,
    fallbackWarn: false,
    // 如果不需要国际化，可以打开如下两个配置，取消控制台的警告
    silentTranslationWarn: true,
    silentFallbackWarn: true,
    // 配置多语言模块加载信息
    loadLocalePool: [
      // 全局配置
      // {
      //   name: 'home',
      //   type: 'global',
      //   requestType: 'ts',
      //   glob: import.meta.glob('/src/locales/lang/*.ts'),
      // },
      {
        name: 'ExLogSearch',
        type: 'part',
        requestType: 'ts', // 请求文件的类型可选json/ts，建议使用ts，比json要灵活,默认ts
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'SystemLog',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'ScheduleLog',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'LoginLogSearch',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'OperateLogSearch',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'MenuLog',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
      {
        name: 'LogServiceManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Log/locales/*.ts'),
      },
    ],
  });

  // 使用router的路由守卫进行多语言的自动加载
  router.beforeEach(async (to, before, next) => {
    await autoLoadI18n(to.name as string);
    // await autoLoadI18n({ name: 'Message' });
    next();
  });
}
