import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/ExLogSearch' },
  // 自定义日志查询
  {
    path: '/CostomLogSearch',
    name: 'CostomLogSearch',
    component: () => import('@/views/Log/Troubleshoot/CostomLogSearch/Index.vue'),
  },
  // 异常日志查询日志查询
  {
    path: '/ExLogSearch',
    name: 'ExLogSearch',
    component: () => import('@/views/Log/Troubleshoot/ExLogSearch/Index.vue'),
  },
  // 全链路分析
  {
    path: '/LinkAnalyze',
    name: 'LinkAnalyze',
    component: () => import('@/views/Log/Troubleshoot/LinkAnalyze/Index.vue'),
  },
  // 系统执行日志
  {
    path: '/SystemLog/:rowId',
    name: 'SystemLog',
    component: () => import('@/views/Log/OperationAudit/SystemLog/Index.vue'),
  },

  // 定时任务
  {
    path: '/ScheduleLog',
    name: 'ScheduleLog',
    component: () => import('@/views/Log/OperationAudit/ScheduleLog/Index.vue'),
  },
  // 登录日志
  {
    path: '/LoginLogSearch',
    name: 'LoginLogSearch',
    component: () => import('@/views/Log/Troubleshoot/LoginLogSearch/Index.vue'),
  },
  // 操作日志
  {
    path: '/OperateLogSearch',
    name: 'OperateLogSearch',
    component: () => import('@/views/Log/Troubleshoot/OperateLogSearch/Index.vue'),
  },
  // 菜单日志
  {
    path: '/MenuLog',
    name: 'MenuLog',
    component: () => import('@/views/Log/Troubleshoot/MenuLog/Index.vue'),
  },
  // 日志服务管理
  {
    path: '/LogServiceManagement',
    name: 'LogServiceManagement',
    component: () => import('@/views/Log/LogManagement/LogServiceManagement/Index.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
