import { setupI18n, autoLoadI18n } from '@crami/locale';
// import { STORAGE_LANG_KEY } from '@/store/mutation-type';
// import { localStorage } from '@/utils/local-storage';
// 模块联邦: 替换成远程引入
import { localStorage } from '@remote/icpx-platform/utils';
import { defaultLang, langMap } from '../locales';
import { baseInfo } from '@/store/baseInfo';

export function createLanguageGuard(router: any, app: any): void {
  // const lang = localStorage.get('zh-CN', defaultLang);
  setupI18n(app, {
    messages: {},
    locale: 'zh-CN',
    missingWarn: false,
    fallbackWarn: false,
    // 如果不需要国际化，可以打开如下两个配置，取消控制台的警告
    silentTranslationWarn: true,
    silentFallbackWarn: true,
    loadLocalePool: [
      // 全局配置注释掉
      // {
      //   name: 'home',
      //   type: 'global',
      //   requestType: 'ts',
      //   glob: import.meta.glob('/src/locales/lang/*.ts'),
      //   // glob: import.meta.glob('@remote/icpx-platform/lang'),
      //   // url: 'http://localhost:4000/assets/lang',
      // },
      // 将本业务模块的多语言也配置成全局的，有几个路径配置几条信息，注意name的名称要唯一
      {
        name: 'message',
        type: 'global',
        requestType: 'ts', // 请求文件的类型可选json/ts，建议使用ts，比json要灵活,默认ts
        glob: import.meta.glob('/src/views/Message/locales/*.ts'),
      },
    ],
  });

  // 使用router的路由守卫进行多语言的自动加载
  router.beforeEach(async (to, before, next) => {
    await autoLoadI18n(to.name as string);
    // await autoLoadI18n({ name: 'Message' });
    next();
  });
}
