import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/MessageGroup' },
  // {
  //   path: '/Test',
  //   name: 'Test',
  //   component: () => import('@/components/Test.vue'),
  // },
  {
    path: '/MessageType',
    name: 'MessageType',
    component: () => import('@/views/Message/MessageManagement/MessageTypes/Index.vue'),
  },
  {
    path: '/MessageChannelRegister',
    name: 'MessageChannelRegister',
    component: () => import('@/views/Message/MessageManagement/MessageChannelRegister/Index.vue'),
  },
  {
    path: '/MessageChannelSet',
    name: 'MessageChannelSet',
    component: () => import('@/views/Message/MessageManagement/MessageChannelSet/Index.vue'),
  },
  {
    path: '/MessageGroup',
    name: 'MessageGroup',
    component: () => import('@/views/Message/MessageManagement/MessageGroup/Index.vue'),
  },
  {
    path: '/MessageMetadata',
    name: 'MessageMetadata',
    component: () => import('@/views/Message/MessageManagement/MessageMetadata/Index.vue'),
  },
  {
    path: '/SenderRegist',
    name: 'SenderRegist',
    component: () => import('@/views/Message/MessageManagement/SenderRegist/Index.vue'),
  },
  {
    path: '/MessageTemplate',
    name: 'MessageTemplate',
    component: () => import('@/views/Message/MessageManagement/MessageTemplate/Index.vue'),
  },
  {
    path: '/BusinessClassifySet',
    name: 'BusinessClassifySet',
    component: () => import('@/views/Message/MessageManagement/BusinessClassifySet/Index.vue'),
  },
  {
    path: '/MessageMonitor',
    name: 'MessageMonitor',
    component: () => import('@/views/Message/MessageManagement/MessageMonitor/Index.vue'),
  },
  {
    path: '/SendMessage',
    name: 'SendMessage',
    component: () => import('@/views/Message/SendMessage/Index.vue'),
  },
  {
    path: '/ReceivedMsg',
    name: 'ReceivedMsg',
    component: () => import('@/views/Message/MessageCenter/ReceivedMsg/Index.vue'),
  },
  {
    path: '/SendOutMessage',
    name: 'SendOutMessage',
    component: () => import('@/views/Message/MessageCenter/SendOutMessage/Index.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
