const asyncDebounce = (fn, delay = 300, options = {}) => {
  let timer;
  let timerPromise, timerResolve, timerReject;

  const registerPromise = () => {
    return timerPromise = new Promise((resolve, reject) => {
      timerResolve = resolve;
      timerReject = reject;
    })
  }

  const clearTimer = () => {
    timer && clearTimeout(timer);
    timer = undefined;
    timerResolve = undefined;
    timerReject = undefined;
  }

  const registerTimer = () => {
    if (timer) return;
    timer = setTimeout(() => {
      timerResolve?.(true);
      clearTimer();
    }, delay)
  }

  return (...args) => {
    clearTimer();
    registerTimer();

    return registerPromise().then(() => {
      return fn(...args);
    })
  }
}

export default asyncDebounce;