export default {
  message: {
    common: {
      reset: 'Reset',
      search: 'Search',
      empty: 'No Data',
      operate: 'operation',
      view: 'view',
      close: 'close',
      delete: 'delete',
      choose: 'please choose a row',
      ok: 'ok',
      add: 'add',
      unread: 'unread',
      haveRead: 'Have read',
      undelivered: 'undelivered',
      partDelivered: 'partially delivered',
      allDelivered: 'all delivered',
      recall: 'recall',
      delivered: 'delivered',
      opened: 'opened',
      edit: 'eidt',
      save: 'Save',
      enable: 'enable',
      disable: 'disable',
      emptyMsg: 'You need to add data before proceeding further',
      messageGroup: 'Message Group',
      chooseGroup: 'please choose a message group',
      enableTitle: 'enable confirmation',
      enableMsg: 'Are you sure to enable {count} pieces of data?',
      disableTitle: 'disable confirmation',
      disableMsg: 'Are you sure to disable {count} pieces of data?',
      deleteTitle: 'delete confirmation',
      deleteMsg: 'Are you sure to delete {count} pieces of data?',
    },
    // 消息中心
    messageCenter: {
      // 我发出的
      sendoutMessage: {
        tableTitle: 'List of messages I sent',
        viewList: 'view list',
        sendName: 'sender name',
        sendTime: 'send time',
        receiverNames: 'receiver',
        msgTitle: 'title',
        msgAbstract: 'abstract',
        msgContent: 'content',
        sendAgainTitle: 'Confirm send',
        sendAgainMsg: ctx => `Are you sure to reissue ${ctx.named('count')} pieces of data?`,
        recallTitle: 'Confirm recall',
        recallMsg: ctx => `Are you sure to recall ${ctx.named('count')} pieces of data?`,
      },
      // 我发出的
      receivedMsg: {
        tableTitle: 'List of messages I have received',
        remarkTitle: 'Batch mark unread',
        remarkMsg: 'Are you sure you want to mark {count} pieces of data?',
        remarkReadTitle: 'batch mark read',
        allReadError: 'no actionable data',
        allReadTitle: 'Mark all as read',
        allReadMsg: 'Are you sure you want to mark all data?',
        drawerTitle: 'Details',
        messageType: 'Message Type',
        sendName: 'sender name',
        receiveTime: 'receive time',
        receiverName: 'receiver name',
        msgTitle: 'title',
        msgAbstract: 'abstract',
        msgContent: 'content',
      },
    },
    // 消息管理
    messageManagement: {
      // 业务分类配置
      businessClassifySet: {
        tableTitle: 'List of Business Categories',
        basicInformation: 'Basic Information',
        templatePreview: 'Template Preview',
        empty: 'No Data',
        title: 'title:',
        abstract: 'abstract:',
        content: 'content:',
      },
      // 消息渠道注册
      channelRegister: {
        tableTitle: 'Message channel registration list',
        register: 'register',
        basicInformation: 'Basic Information',
        parameters: 'Configuration Parameters',
        addParams: 'add configuration parameters',
        checkUnique: 'code repetition!',
        modalAdd: 'Message Channel Registration',
        modalView: 'Message Channel Registration Details',
      },
      // 消息渠道配置
      channelSet: {
        tableTitle: 'Message message channel configuration list',
        modalAdd: 'Message Channel Registration',
        modalView: 'Message Channel Registration Details',
        modalEdit: 'Configuration',
      },
      // 消息分组
      messageGroup: {
        tableTitle: 'Message Group',
        add: 'add message group',
      },
      // 消息监控
      messageMonitor: {
        tableTitle: 'Message Monitor List',
        modalView: 'Review',
      },
      // 消息模板
      messageTemplete: {
        tableTitle: 'Message Template List',
        msgContentRequired: 'Message content is required!',
        msgContentLengthError: 'The maximum valid character length is 500',
        templateEditTips: 'Template editing tips',
        templateTip1:
          'Template editing supports dynamic replacement of message summary and message body content at runtime by setting variables.',
        templateTip2: 'for example:',
        templateTip3:
          'Maintain in the message digest: $currentuser notifies you to attend the meeting.',
        templateTip4:
          'At runtime, the message received by the user will be replaced by the message sent to the user: Zhang San notifies you to attend the meeting',
        templateTip5:
          'The following variables can be used: current user: $currentuser$; Current organization: $currentorg$; Current time: $currenttime$',
      },
      // 消息类型
      messageTypes: {
        tableTitle: 'MsgType List',
        errorTitle: 'The operation failure',
        errorMsg: 'Type code {count} Other services have been used and cannot be deleted!',
        deleteMsg: 'Are you sure to delete the message encoding {count}?',
        typeCode: 'Type code',
        deleteMsg2: 'Are you sure to delete the following data?',
      },
      // 发送者注册
      senderRegist: {
        tableTitle: 'Sender List',
        add: 'add',
        deleteMsg: 'Are you sure to delete this data?',
        inputMsg: 'Please enter the sender name',
        errorMsg1: 'Please fill in the sender name!',
        errorMsg2: 'Sender name up to 6 characters!',
        selectPlaceholder: 'Please select',
      },
      // 消息发送
      sendMessage: {
        reset: 'Reset',
        saveSuccess: 'Save success!',
        errorFormat: 'Invalid format',
      },
      // 消息元数据
      messageMetadata: {
        tableTitle: 'List of Message Metadata',
        deleteMsg: 'Are you sure to delete this record?',
        basicInfo: 'Basic Information',
        opreatCode: 'Operation Code',
        paramCode: 'Parameters Code',
        addCode: 'New parameter code',
        chooseObject: 'Select the operation object first!',
        improveObject: 'Please complete the operation object first!',
        chooseMetadata: 'Select the Meta data first!',
        codeDuplicate: 'Duplicate encoding!',
      },
    },
  },
};
