export default {
  message: {
    common: {
      reset: '重置',
      search: '查询',
      empty: '暂无数据',
      operate: '操作',
      view: '查看',
      close: '关闭',
      choose: '请选择一条数据',
      ok: '确定',
      add: '新增',
      delete: '删除',
      unread: '未读',
      haveRead: '已读',
      undelivered: '未送达',
      partDelivered: '部分送达',
      allDelivered: '全部送达',
      recall: '已撤回',
      delivered: '已送达',
      opened: '已打开',
      edit: '编辑',
      save: '保存',
      enable: '启用',
      disable: '停用',
      emptyMsg: '需要添加数据后才能进行进一步操作哦',
      messageGroup: '消息分组',
      chooseGroup: '请先选择一个消息分组',
      enableTitle: '启用确认',
      enableMsg: '确定启用{count}条数据吗?',
      disableTitle: '停用确认',
      disableMsg: '确定停用{count}条数据吗?',
      deleteTitle: '删除确认',
      deleteMsg: '确定删除{count}条数据吗?',
    },
    // 消息中心
    messageCenter: {
      // 我发出的
      sendoutMessage: {
        tableTitle: '我发出的消息列表',
        viewList: '查阅情况列表',
        sendName: '发送人',
        sendTime: '发送时间',
        receiverNames: '接收人',
        msgTitle: '标题',
        msgAbstract: '摘要',
        msgContent: '内容',
        sendAgainTitle: '补发确认',
        // 可以用{}也可以写函数接收参数,如果是函数，在代码页面不会显示为汉字
        sendAgainMsg: '确定补发{count}条数据吗?',
        recallTitle: '撤回确认',
        recallMsg: ctx => `确定撤回 ${ctx.named('count')} 条数据吗?`,
      },
      // 我收到的
      receivedMsg: {
        tableTitle: '我收到的消息列表',
        remarkTitle: '批量标记未读',
        remarkMsg: '确定标记{count}条数据吗?',
        remarkReadTitle: '批量标记已读',
        allReadError: '没有可操作的数据',
        allReadTitle: '全部标记已读',
        allReadMsg: '确定标记全部数据吗?',
        drawerTitle: '详情',
        messageType: '消息类型',
        sendName: '发送人',
        receiveTime: '到达时间',
        receiverName: '接收人',
        msgTitle: '标题',
        msgAbstract: '摘要',
        msgContent: '内容',
      },
    },
    // 消息管理
    messageManagement: {
      // 业务分类配置
      businessClassifySet: {
        tableTitle: '业务分类列表',
        basicInformation: '基本信息',
        templatePreview: '模板预览',
        empty: '暂无内容',
        title: '标题：',
        abstract: '摘要：',
        content: '内容：',
      },
      // 消息渠道注册
      channelRegister: {
        tableTitle: '消息渠道注册列表',
        register: '注册',
        basicInformation: '基础信息',
        parameters: '配置参数',
        addParams: '新增配置参数',
        checkUnique: '编码重复!',
        modalAdd: '消息渠道注册',
        modalView: '消息渠道注册详情',
      },
      // 消息渠道配置
      channelSet: {
        tableTitle: '消息渠道配置列表',
        modalAdd: '消息渠道注册',
        modalView: '消息渠道注册详情',
        modalEdit: '配置',
      },
      // 消息分组
      messageGroup: {
        tableTitle: '消息分组',
        add: '新增消息分组',
      },
      // 消息监控
      messageMonitor: {
        tableTitle: '消息监控列表',
        modalView: '查阅情况',
      },
      // 消息模板
      messageTemplete: {
        tableTitle: '消息模板列表',
        msgContentRequired: '消息正文是必填项！',
        msgContentLengthError: '最大有效字符长度为500',
        templateEditTips: '模板编辑提示',
        templateTip1: '模板编辑支持通过设置变量在运行时动态替换消息摘要和消息正文内容。',
        templateTip2: '例如：',
        templateTip3: '在消息摘要中维护： $currentuser$通知您参加会议。',
        templateTip4: '在运行时用户收到的消息会根据消息发送的用户替换为：张三通知您参加会议',
        templateTip5:
          '可以使用的变量如下：当前用户：$currentuser$；当前组织：$currentorg$；当前时间：$currenttime$',
      },
      // 消息类型
      messageTypes: {
        tableTitle: '消息类型列表',
        errorTitle: '操作失败',
        errorMsg: '类型编码{count}已有其它业务功能使用,不可删除!',
        deleteMsg: '确认删除编码{count}这条消息吗?',
        typeCode: '类型编码',
        deleteMsg2: '确认删除以下数据吗?',
      },
      // 发送者注册
      senderRegist: {
        tableTitle: '发送者列表',
        add: '新增',
        deleteMsg: '确定删除此条数据吗?',
        inputMsg: '请输入发送者名称',
        errorMsg1: '请填写发送者名称！',
        errorMsg2: '发送者名称最多输入6个字符！',
        selectPlaceholder: '请选择',
      },
      // 消息发送
      sendMessage: {
        reset: '重置',
        saveSuccess: '保存成功！',
        errorFormat: '格式错误',
      },
      // 消息元数据
      messageMetadata: {
        tableTitle: '消息元数据列表',
        deleteMsg: '确定删除的本条记录?',
        basicInfo: '基础信息',
        opreatCode: '操作编码',
        paramCode: '参数编码',
        addCode: '新增参数编码',
        chooseObject: '请先选择操作对象!',
        improveObject: '请先完善操作对象!',
        chooseMetadata: '请先选择元数据!',
        codeDuplicate: '编码重复！',
      },
    },
  },
};
