import type { PureSettings } from '@/components/base-layouts/defaultSettings';

export interface AppState extends PureSettings {
  lang: string;
  device: 'mobile' | 'desktop' | string;
  transitionName: string;
  multiTab: boolean;
  multiTabFixed: boolean;
  systemInfo: any;
  waterMark: any;
  sizeType: string;
}

export const state: AppState = {
  lang: 'zhs',
  device: 'desktop',
  layout: 'mix',
  navTheme: 'dark',
  contentWidth: 'Fluid',
  fixedHeader: true,
  fixedSidebar: true,
  menu: { locale: false },
  splitMenus: false,
  title: 'Admin Pro',
  primaryColor: '#1890ff',
  colorWeak: false,
  transitionName: '',
  multiTab: true,
  multiTabFixed: true,
  systemInfo: {},
  waterMark: {
    content: 'TCL',
    gapX: 258,
    gapY: 258,
    width: 258,
    height: 258,
    rotate: -45,
    fontSize: 16,
    fontFamily: 'sans-serif',
  },
  sizeType: 'default',
};
