const code = {
  code: {
    common: {
      reset: 'reset',
      search: 'search',
      empty: 'No Data',
      operate: 'operation',
      view: 'view',
      close: 'close',
      delete: 'delete',
      choose: 'please choose a row',
      ok: 'ok',
      add: 'add',
      unread: 'unread',
      haveRead: 'Have read',
      undelivered: 'undelivered',
      partDelivered: 'partially delivered',
      allDelivered: 'all delivered',
      recall: 'recall',
      delivered: 'delivered',
      opened: 'opened',
      edit: 'edit',
      save: 'Save',
      enable: 'enable',
      disable: 'disable',
      emptyMsg: 'You need to add data before proceeding further',
      messageGroup: 'Message Group',
      chooseGroup: 'please choose a message group',
      enableTitle: 'enable confirmation',
      enableMsg: 'Are you sure to enable {count} pieces of data?',
      disableTitle: 'disable confirmation',
      disableMsg: 'Are you sure to disable {count} pieces of data?',
      deleteTitle: 'delete confirmation',
      deleteFail: 'Delete failed',
      deleteMsg: 'Are you sure to delete {count} pieces of data?',
      exportMsg: 'Export successful',
      importOk: 'Confirm import',
      importSuccess: 'Import successful',
      cancel: 'Cancel',
      copySuccess: 'Copy successful',
      pasteWarn: 'Please copy first',
      deleteOk: 'Are you sure to delete?',
    },
    // 编码管理主页面
    codeManagement: {
      codeManagementTitle: 'Coding scheme',
      CodeSegmentAttr: 'Attribute',
      CodeSegmentTable: 'Code segment',
      CodeValueAttr: 'Attribute',
      CodeValueTable: 'Code value',
    },
    // 编码方案
    codeProgramme: {
      codeTitle: 'Coding scheme list',
      startTitle: 'Enable confirmation',
      startContent: ctx => `Are you sure to enable coding scheme："${ctx.named('nameStr')}"?`,
      stopTitle: 'Deactivation confirmation',
      stopContent: ctx =>
        `Are you sure to deactivate the coding scheme："${ctx.named('nameStr')}"?`,
      exportTitle: 'Export confirmation',
      exportContent: ctx => `Are you sure to export the coding scheme："${ctx.named('names')}"?`,
      importTitle: 'Import coding scheme',
      importDataMsg: 'Please import data first',
      importParseMsg: 'Please analyze the data first',
      importErrorMsg: 'There is a problem importing data',
      updateSchemeMsg: 'Coding scheme list updated',
      exportSchemeMsg: 'Code scheme exported successfully',
      otherSave: 'Save as',
      createOrEditCodePro: {
        flowWaterTip: 'All branches share the serial code',
        branchFlowTip: 'Each branch follows its own serial code',
        useObjTitle: 'using objects',
        selectUseObjTitle: 'Select objects to use',
      },
      importCodeProgram: {
        codeTitle: 'Upload file',
        uploadText: 'Click Import or drag the file here',
        uploadTextTip: 'Download the template, fill it in and upload it',
        uploadTextTipDetail:
          'Please download the "template" and fill in the template before uploading.',
        downBtn: 'Download template',
        parseBtn: 'Data analysis',
        explainTip: 'reminder:',
        tabProgram: 'coding scheme',
        tabSeg: 'Code segment',
        tabValue: 'Code value',
        programTitle: 'Scheme list',
        segTitle: 'Code segment list',
        valueTitle: 'Code value list',
        importTip: 'No data',
        importTipDown: 'Please import excel file for data analysis',
        eid: 'Serial number',
        proName: 'Coding scheme name',
        describes: 'Describe',
        segName: 'Code segment name',
        length: 'length',
        roughRules: 'Rough rules',
        fineRules: 'Fine rule',
        codeSeparator: 'Spacer',
        parentName: 'Parent segment name',
        valueName: 'Code value',
        parentValue: 'Parent code value',
        uploadSize: 'File size cannot exceed 1MB',
        dataSizeTip: ctx => `${ctx.named('dataSize')} pieces of data in total，`,
        parseSuccessTip: 'All resolved successfully!',
      },
      saveCodePrograme: {
        ename: '-copy',
        enameTitle: 'Coding scheme name',
        enameLengthRule: 'Enter maximum length 200',
        enameHasRule: 'Name is required!',
      },
      selectCodeUseObject: {
        noSelectTitle: 'Optional list',
        selectTitle: 'Selected model objects',
      },
    },
    // 编码码段
    codeSegment: {
      segmentAttr: {
        name: 'Name',
        state: 'State',
        rule: 'Code segment diagram',
        streamCode: 'Serial code',
        oiCode: 'Skip oi code',
        useObject: 'Working with objects',
        describe: 'Describe',
        createUser: 'Creator',
        createTime: 'CreateTime',
        updateUser: 'Modifier',
        updateTime: 'Modification time',
        org: 'Organization',
      },
      segmentTable: {
        completeTitle: 'Filling character setting',
        completeRule: 'Enter maximum length 100',
      },
      createOrEditCodeSegment: {
        restartMsg: 'Please choose new year to start again',
        initCode: 'Please enter the start code according to the rules',
        initCodeLength: 'Length out of limit',
      },
      completeCodeSegment: {
        length: 'Current length',
        extendedLength: 'Extended length',
        complementCharacter: 'Complement characte',
        triggerCode: 'Trigger code',
        describes: 'Describe',
        inputPlacehoder: 'Please enter',
        extendNumRule: 'Please enter an integer (0 ~ 10)',
        extendLenthRule: 'The extended length must be greater than the current length',
        complementCharacterRule: 'Placeholder must be numeric',
        triggerCodeRule: 'Please enter the correct trigger code',
        triggerCodePlaceHolder: 'Please fill in according to code segment rules',
        extendNumMsg: 'please enter a number',
        complementGreaterRule: 'Extension length cannot be greater than 10',
        complementLenthRule: 'Enter extended length first',
        complementFineRule: 'Please enter a value that conforms to the code segment detail rule',
        complementDigitRule: ctx => `Filler length must be ${ctx.named('item')} bit`,
        triggerRule: 'Please enter a value that conforms to the code segment detail rule',
      },
    },
    // 编码码值
    codeValue: {
      valueAttr: {
        name: 'Name',
        length: 'Length',
        roughRules: 'Rough rules',
        fineRules: 'Fine rule',
        restart: 'New year starts again',
        separator: 'Spacer',
        parentname: 'Parent code segment',
        segmentNo: 'Segment number',
        describe: 'Describe',
        createUser: 'Creator',
        createTime: 'CreateTime',
        updateUser: 'Modifier',
        updateTime: 'Modification time',
      },
      valueTable: {
        importTitle: 'Import code value',
        exportTitle: 'Export confirmation',
        exportOk: 'Confirm export code value?',
        importDataMsg: 'Please import data first',
        importParseMsg: 'Please analyze the data first',
        importErrorMsg: 'There is a problem importing data',
      },
      createOrEdit: {
        codeTitle: 'Code value',
      },
      importCodeValue: {
        codeTitle: 'Upload file',
        uploadText: 'Click Import or drag the file here',
        uploadTextTip: 'Download the template, fill it in and upload it',
        uploadTextTipDetail:
          'Please download the "template" and fill in the template before uploading.',
        downBtn: 'Download template',
        parseBtn: 'Data analysis',
        explainTip: 'reminder:',
        valueTitle: 'Code value list',
        importTip: 'No data',
        importTipDown: 'Please import excel file for data analysis',
        eid: 'Serial number',
        describes: 'Describe',
        valueName: 'Code value',
        parentValue: 'Parent code value',
        uploadSize: 'File size cannot exceed 1MB',
        dataSizeTip: ctx =>
          `${ctx.named(
            'dataSize',
          )} pieces of data in total，all of which have been parsed successfully!`,
        parseSuccessTip: 'All resolved successfully!',
      },
    },
  },
};

export default code;
