const code = {
  code: {
    common: {
      reset: '清除',
      search: '查询',
      empty: '暂无数据',
      operate: '操作',
      view: '查看',
      close: '关闭',
      choose: '请选择一条数据',
      ok: '确定',
      add: '新增',
      delete: '删除',
      unread: '未读',
      haveRead: '已读',
      undelivered: '未送达',
      partDelivered: '部分送达',
      allDelivered: '全部送达',
      recall: '已撤回',
      delivered: '已送达',
      opened: '已打开',
      edit: '编辑',
      save: '保存',
      enable: '启用',
      disable: '停用',
      emptyMsg: '需要添加数据后才能进行进一步操作哦',
      messageGroup: '消息分组',
      chooseGroup: '请先选择一个消息分组',
      enableTitle: '启用确认',
      enableMsg: '确定启用{count}条数据吗?',
      disableTitle: '停用确认',
      disableMsg: '确定停用{count}条数据吗?',
      deleteTitle: '删除确认',
      deleteFail: '删除失败',
      deleteMsg: '确定删除{count}条数据吗?',
      exportMsg: '导出成功',
      importOk: '确定导入',
      importSuccess: '导入成功',
      cancel: '取消',
      copySuccess: '复制成功',
      pasteWarn: '请先去复制',
      deleteOk: '确定删除吗?',
    },
    // 编码管理主页面
    codeManagement: {
      codeManagementTitle: '编码方案',
      CodeSegmentAttr: '属性',
      CodeSegmentTable: '编码码段',
      CodeValueAttr: '属性',
      CodeValueTable: '码值',
    },
    // 编码方案
    codeProgramme: {
      codeTitle: '编码方案列表',
      startTitle: '启用确认',
      startContent: ctx => `确定启用编码方案："${ctx.named('nameStr')}"吗?`,
      stopTitle: '停用确认',
      stopContent: ctx => `确定停用编码方案："${ctx.named('nameStr')}"吗?`,
      exportTitle: '导出确认',
      exportContent: ctx => `确定导出编码方案："${ctx.named('names')}"吗?`,
      importTitle: '导入编码方案',
      importDataMsg: '请先导入数据',
      importParseMsg: '请先进行数据解析',
      importErrorMsg: '导入数据存在问题',
      updateSchemeMsg: '编码方案列表已更新',
      exportSchemeMsg: '编码方案导出成功',
      otherSave: '另存为',
      createOrEditCodePro: {
        flowWaterTip: '所有分支，共用流水码',
        branchFlowTip: '各分支走各自的流水码',
        useObjTitle: '使用对象',
        selectUseObjTitle: '选择使用对象',
      },
      importCodeProgram: {
        codeTitle: '上传文件',
        uploadText: '点击导入，或者拖拽文件到此处',
        uploadTextTip: '下载模板并填写后上传',
        uploadTextTipDetail: '请先下载「模板」并按照模板填写后再上传。',
        downBtn: '下载模板',
        parseBtn: '数据解析',
        explainTip: '温馨提示：',
        tabProgram: '编码方案',
        tabSeg: '编码码段',
        tabValue: '码值',
        programTitle: '方案列表',
        segTitle: '码段列表',
        valueTitle: '码值列表',
        importTip: '暂无数据',
        importTipDown: '请导入Excel文件进行数据解析',
        eid: '序号',
        proName: '编码方案名称',
        describes: '描述',
        segName: '编码码段名称',
        length: '长度',
        roughRules: '粗规则',
        fineRules: '细规则',
        codeSeparator: '间隔符',
        parentName: '父段名称',
        valueName: '编码值',
        parentValue: '父码值',
        uploadSize: '文件大小不能超过1MB',
        dataSizeTip: ctx => `共${ctx.named('dataSize')}条数据，`,
        parseSuccessTip: '全部解析成功！',
      },
      saveCodePrograme: {
        ename: '-副本',
        enameTitle: '编码方案名称',
        enameLengthRule: '输入最大长度200',
        enameHasRule: '名称是必填项！',
      },
      selectCodeUseObject: {
        noSelectTitle: '可选列表',
        selectTitle: '已选模型对象',
      },
    },
    // 编码码段
    codeSegment: {
      segmentAttr: {
        name: '名称',
        state: '状态',
        rule: '编码码段图示',
        streamCode: '流水码',
        oiCode: '跳过OI码',
        useObject: '使用对象',
        describe: '描述',
        createUser: '创建人',
        createTime: '创建时间',
        updateUser: '修改人',
        updateTime: '修改时间',
        org: '所属组织',
      },
      segmentTable: {
        completeTitle: '补位符设置',
        completeRule: '输入最大长度100',
      },
      createOrEditCodeSegment: {
        restartMsg: '请选择新年重新开始',
        initCode: '请按照选择规则和长度输入起始码',
        initCodeLength: '请输入规定长度的值',
      },

      completeCodeSegment: {
        length: '当前长度',
        extendedLength: '扩展长度',
        complementCharacter: '补位符',
        triggerCode: '触发码',
        describes: '描述',
        inputPlacehoder: '请输入',
        extendNumRule: '请输入整数（0～10）',
        extendLenthRule: '扩展长度要大于当前长度',
        complementCharacterRule: '补位符必须为数字',
        triggerCodeRule: '请输入正确的触发码',
        triggerCodePlaceHolder: '请根据码段规则填写',
        extendNumMsg: '请输入数字',
        complementGreaterRule: '扩展长度不能大于10',
        complementLenthRule: '先输入扩展长度',
        complementFineRule: '请输入符合码段细规则的值',
        complementDigitRule: ctx => `补位符长度必须为${ctx.named('item')}位`,
        triggerRule: '请输入符合码段细规则的值',
      },
    },
    // 编码码值
    codeValue: {
      valueAttr: {
        name: '名称',
        length: '长度',
        roughRules: '粗规则',
        fineRules: '细规则',
        restart: '新年重新开始',
        separator: '间隔符',
        parentname: '父码段',
        segmentNo: '段号',
        describe: '描述',
        createUser: '创建人',
        createTime: '创建时间',
        updateUser: '修改人',
        updateTime: '修改时间',
      },
      valueTable: {
        importTitle: '导入编码码值',
        exportTitle: '导出确认',
        exportOk: '确定导出码值吗?',
        importDataMsg: '请先导入数据',
        importParseMsg: '请先进行数据解析',
        importErrorMsg: '导入数据存在问题',
      },
      createOrEdit: {
        codeTitle: '编码值',
      },
      importCodeValue: {
        codeTitle: '上传文件',
        uploadText: '点击导入，或者拖拽文件到此处',
        uploadTextTip: '下载模板并填写后上传',
        uploadTextTipDetail: '请先下载「模板」并按照模板填写后再上传。',
        downBtn: '下载模板',
        parseBtn: '数据解析',
        explainTip: '温馨提示：',
        valueTitle: '码值列表',
        importTip: '暂无数据',
        importTipDown: '请导入Excel文件进行数据解析',
        eid: '序号',
        describes: '描述',
        valueName: '编码值',
        parentValue: '父码值',
        uploadSize: '文件大小不能超过1MB',
        dataSizeTip: ctx => `共${ctx.named('dataSize')}条数据，全部解析成功！`,
        parseSuccessTip: '全部解析成功！',
      },
    },
  },
};

export default code;
