const queryConfiguration = {
  queryConfiguration: {
    common: {
      reset: 'reset',
      search: 'search',
      empty: 'No Data',
      operate: 'operation',
      view: 'view',
      close: 'close',
      rebuildTitle: 'Confirm index rebuild ?',
      rebuildMsg:
        'Index reconstruction will delete es index data. During index reconstruction, the corresponding index data will not be retrieved. Please be careful!',
      deleteTitle: 'Confirm to delete the configuration ?',
      deleteMsg:
        'After deleting the configuration, the generated es index and index data will be deleted synchronously, and the index information of the corresponding business data will no longer be generated.',
      inputPlaceholder: 'please input',
      selectPlaceholder: 'please select',
      selectTip: 'Please select an index object',
      selectTipSec: 'Please select an {type}',
      blankTipDesc: 'Please select an {type} {name}',
      selectOne: 'Please select a piece of data',
      searchPlaceholder: 'Enter object type name lookup',
      modalTitle: 'Es index configuration-Select index object',
      dbmodalTitle: 'Simple query configuration',
      modalTitleSec: 'Object name mapping',
      dbmodalTitleSec: 'mapping editor',
      selectLabel: 'Search scope',
      inputLabel: 'Keyword',
      keywordTip:
        'Support *? Wildcard,? Used to match any character, * used to match zero or more characters, multiple keywords are separated by spaces',
      modalPlaceholder:
        'Load the fields of the current object, and select one to establish the mapping relationship',
      labelName: 'Object name',
      labelCode: 'Object code',
      labelVersion: 'Object version',
      operateSuccess: 'Operation succeeded',
      splicePlaceholder: 'Please select a splice character',
      field: 'field',
      splicer: 'splicer',
      splice: 'splice',
      delete: 'delete',
    },
    simpleQuery: {
      tableTitle: 'Search results',
      requiredParams: 'Parameter is required',
    },
    esIndexConfiguration: {
      tableTitle: 'Es index configuration list',
    },
    dbconfigguration: {
      tableTitle: 'Simple query configuration list',
    },
    configIndex: {
      formTitle: 'Search',
      tableTitle: 'Search Config List',
    },
    configCreate: {
      form: {
        title: 'Basic Info',
        name: 'Name',
        nameTipLength: 'Please enter 25 characters or less',
        nameTip: 'Please enter name',
        masterModel: 'Master Model',
        correlationModel: 'Correlation Model',
        queryPermissions: 'Query Permissions',
        permissionSubType: {
          placeholder: 'Please enter the object type name to find',
          warningTip: 'Please select the main model',
        },
      },
      queryConditions: {
        queryConditions: 'Query Conditions',
        queryResults: 'Query Results',
        allFields: 'All Fields',
        queryConditionsDisplayField: 'Query Conditions Display Field',
        queryResultDisplayField: 'Query Result Display Field',
        placeholder: 'Please enter a field name',
        placeholderName: 'Please enter a display name',
        delete: 'Delete',
        deleteConfirm: 'Confirm to delete ?',
        tableColumns: {
          objectModel: 'Object Model',
          fieldName: 'Field Name',
          field: 'Field identification',
          displayName: 'Display Name',
          conditions: 'Conditions',
          operation: 'Operation',
        },
      },
      hiddenRulesQuery: {
        hiddenRulesQuery: 'Hidden Rules Query',
        operationType: 'Operation Type',
        model: 'Please select a model',
        field: 'Please select a field',
        conditions: 'conditions',
        value: 'value',
        form: {
          message: 'Please enter a value',
          selectMessage: 'Please select a value',
          dateMessage: 'Please select date',
          rules: 'The length of the value cannot exceed 20',
        },
      },
    },
  },
};

export default queryConfiguration;
