const tenant = {
  tenant: {
    common: {
      reset: 'reset',
      search: 'search',
      empty: 'No Data',
      operate: 'operation',
      view: 'view',
      close: 'close',
      delete: 'delete',
      choose: 'please choose a row',
      ok: 'ok',
      add: 'add',
      unread: 'unread',
      haveRead: 'Have read',
      undelivered: 'undelivered',
      partDelivered: 'partially delivered',
      allDelivered: 'all delivered',
      recall: 'recall',
      delivered: 'delivered',
      opened: 'opened',
      edit: 'edit',
      save: 'Save',
      enable: 'enable',
      disable: 'disable',
      emptyMsg: 'You need to add data before proceeding further',
      messageGroup: 'Message Group',
      chooseGroup: 'please choose a message group',
      enableTitle: 'enable confirmation',
      enableMsg: 'Are you sure to enable {count} pieces of data?',
      disableTitle: 'disable confirmation',
      disableMsg: 'Are you sure to disable {count} pieces of data?',
      deleteTitle: 'delete confirmation',
      deleteFail: 'Delete failed',
      deleteMsg: 'Are you sure to delete {count} pieces of data?',
      exportMsg: 'Export successful',
      importOk: 'Confirm import',
      importSuccess: 'Import successful',
      cancel: 'Cancel',
      copySuccess: 'Copy successful',
      pasteWarn: 'Please copy first',
      deleteOk: 'Are you sure to delete?',
    },
    // 租户管理
    tenantManagement: {
      tenantTitle: 'Tenant list',
      deleteWarn: 'Please select at least one piece of data',
      deleteTitle: 'Confirm to delete the tenant?',
      deleteContent: ctx => `${ctx.named('text')}Once deleted, it cannot be undone`,
      deleteOkWarn: 'Tenants in non deactivated status cannot be deleted!',
      checkOrCreateOrEditTenant: {
        baseTitle: 'Base information',
        tenantName: 'Tenant name',
        tenantNum: 'Tenant No',
        contacts: 'contacts',
        userCap: 'User cap',
        phone: 'contact information',
        manageTitle: 'Administrator information',
        eid: 'Serial number',
        username: 'user name',
        password: 'password',
        openApp: 'Open application',
        namePlaceHolder: 'Please enter the tenant name',
        encoderPlaceHolder: 'Please enter tenant number (alphanumeric)',
        contactsPlaceHolder: 'Please enter your name',
        passwordPlaceHolder: 'Input password',
        randomPass: 'Random password',
        useCapTip: 'Enter the upper limit of "0" without restriction',
        useCapPlaceHolder: 'Please enter the data. The upper limit of "0" is unlimited',
        numTipMsg: 'It is the suffix ID of the tenant login. It cannot be modified after creation!',
        usernamePlaceHolder: 'Enter account number',
        phonePlaceHolder: 'Please enter your mobile number',
        nameLengthRule: 'Enter maximum length 50',
        ecodeRule: 'Only letters and numbers can be entered, with a maximum length of 50',
        systemuserIdRule: 'Enter maximum length 50',
        maxusercountRule:
          'The input data must be numeric, with a maximum length of 5 digits and greater than or equal to 0',
        usernameRule:
          'Please enter the administrator account. Only letters and numbers can be entered. The length cannot exceed 100 characters',
        passwordRule:
          'Please enter the password. The length cannot exceed 50 characters, and there cannot be special characters',
        phoneRule: 'Please enter the correct phone number',
        appname: 'apply name',
        term: 'term of validity',
        addUser: 'New member',
        addUserWarn: 'There are at most five administrators under a tenant!',
        enameRule: 'Enter maximum length 20',
        ecodeRuleC: 'Only letters and numbers can be entered, with a maximum length of 20',
        manageRepeatMsg: 'Under the same tenant, the administrator account cannot be duplicate',
      },
      deleteTenant: {
        delteTitle: 'Confirm to delete the tenant?',
        deleteTip: 'Cannot be undone after deletion',
        deleteWarn: 'Tenants in non deactivated status cannot be deleted!',
      },
    },
    // 租户权限
    tenantAuthorization: {
      tenantTitle: 'tenant',
      openHeader: 'Opened app',
      openPlaceHolder: 'Please enter the app name',
      noOpenHeader: 'Application not opened',
      funcAuth: 'Function authorization',
      term: 'term',
      remove: 'remove',
      openApp: 'Open application',
      serviceTerm: 'Service validity',
      deleteTitle: 'Important operation tips',
      deleteTipMsg:
        'After the application is removed, it cannot be used any more. Are you sure you want to remove it?',
      renewalApp: {
        expireTitle: 'Valid until',
        expireTime: 'Select date',
      },
      createFunction: {
        menuTitle: 'Function authorization',
        menuRule: 'Function authorization cannot be empty',
      },
    },
  },
};

export default tenant;
