import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/PresetRules' },
  {
    path: '/Test',
    name: 'Test',
    component: () => import('@/components/Test.vue'),
  },
  //业务规则预制
  {
    path: '/PresetRules',
    name: 'PresetRules',
    component: () => import('@/views/BusinessRules/PresetRules/RuleList.vue'),
  },
  //系统业务规则
  {
    path: '/SystemRules',
    name: 'SystemRules',
    component: () => import('@/views/BusinessRules/SystemRules/SystemRulesList.vue'),
  },
  //组织业务规则
  {
    path: '/OrganizationRules',
    name: 'OrganizationRules',
    component: () => import('@/views/BusinessRules/OrganizationRules/OrganizationRulesList.vue'),
  },
  //用户业务规则
  {
    path: '/UserRules',
    name: 'UserRules',
    component: () => import('@/views/BusinessRules/UserRules/UserRulesList.vue'),
  },
  //业务规则分类
  {
    path: '/RulesCategory',
    name: 'RulesCategory',
    component: () => import('@/views/BusinessRules/RulesCategory/RulesCategoryList.vue'),
  },
  //测试demo
  {
    path: '/Demo',
    name: 'Demo',
    component: () => import('@/views/BusinessRules/demo.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
