import { defineAsyncComponent, defineComponent, ref } from 'vue';
export default defineComponent({
  name: 'CustomComponent',
  props: {
    componentName: {
      type: String,
      default: '',
    },
    componentProps: {
      type: String,
      // default: () => {
      //   return '';
      // },
    },
  },
  setup(props, { expose }) {
    let registerComImport = null;
    const componentRef = ref();
    const modules = import.meta.glob('@/views/**.vue');
    const keys = Object.keys(modules);
    const componentName = props.componentName.toLowerCase();
    let path = componentName.lastIndexOf('.vue') > -1 ? componentName : componentName + '.vue';
    path = path.indexOf('/') !== 0 ? '/' + path : path;
    for (let i = 0; i < keys.length; i++) {
      const filename = keys[i];
      const items = filename.toLowerCase().split('..');
      const tempPath = items.length > 0 ? items[items.length - 1] : '-1';
      if (path === tempPath) {
        registerComImport = modules[filename];
        break;
      }
    }
    const asyncRegisterCom = registerComImport ? defineAsyncComponent(registerComImport) : null;
    expose({
      asyncRegisterCom,
      componentRef,
    });
    return () => {
      return props.componentName && asyncRegisterCom ? (
        <div style="maxHeight: 500px">
          <asyncRegisterCom
            ref={componentRef}
            componentProps={props.componentProps}
          ></asyncRegisterCom>
        </div>
      ) : (
        <div style="maxHeight: 100px"></div>
      );
    };
  },
});
