const rules = {
  rules: {
    common: {
      inputPlaceholder: 'please input',
      selectPlaceholder: 'please select',
      confirm: 'confirm',
      cancel: 'cancel',
      clear: 'Clear',
      businessRuleTitle: 'Business Rule',
      businessRuleEditing: 'business rule edit',
      deleteRuleTips: 'Are you sure you want to delete this rule?',
      resetRuleTips: 'Are you sure you want to reset this rule?',
      ruleName: 'rule name',
      ruleCharacteristic: 'rule characteristic',
      valueType: 'value type',
      value: 'value',
      ruleDescription: 'rule description',
      controlValueRange: 'value(control value range)',
      editRules: 'Edit Business Rule',
      delete: 'Delete',
      deleteConfirm: 'Confirm to delete ?',
      deleteSuccess: 'Deleted successfully!',
      resetSuccess: 'Reset succeeded!',
      saveSuccess: 'Save succeeded!',
    },
    preset: {
      addRules: 'Add Business Rule',
      ruleName: 'Rule Name',
      ruleNameTips: 'Please enter a rule name',
      // tipRuleNameReg: '请输入规则名称',
      ruleCode: 'Rule Code',
      ruleCodeTips: 'Please enter the rule code',
      ruleDescTips:
        'Please enter the rule description according to the specification. It supports numbers, English, uppercase, lowercase, Chinese and characters _+.,; ^%&? ()',
      ruleCategory: 'Rule Category',
      ruleCategoryTips: 'Please select a rule category',
      ruleRange: 'Range of rule',
      ruleRangeTips: 'Please select the range of rule',
      userRuleType: 'User-level rule setting mode',
      userRuleTypeTips: 'Select a user-level rule setting mode',
      valueType: 'Value types',
      valueTypeBoolean: 'Boolean',
      valueTypeString: 'String',
      valueTypeInteger: 'Integer',
      valueTypeDecimal: 'Decimal',
      valueTypeSingle: 'Select-Single',
      valueTypeMultiple: 'Select-Multiple',
      valueTypeCustom: 'Custom',
      valueTypeTips: 'Select a value type',
      defaultValue: 'The default value',
      defaultValueTips: 'Please set the default value',
      rangeOfValue: 'Range Value',
      decValueLengthTips: 'The maximum number of decimal places is 10',
      maxValueTips: 'Range Value - The maximum value cannot be smaller than the minimum value',
      minValueTips: 'Range Value - The minimum value cannot be greater than the maximum value',
      defaultErrorTip1: 'The default value cannot be smaller than the minimum value',
      defaultErrorTip2: 'The default value cannot be greater than the maximum value',
      defaultErrorTip3: 'The default value cannot be greater than 1,000,000,000',
      description: 'Rule description',
      system: 'System',
      organization: 'Organization',
      user: 'User',
      ruleTypeOfUser: 'User Independent Settings',
      ruleTypeOfAdmin: 'Administrator Settings',
      dataSource: 'DataSource',
      dataSourceTips: 'Please select a data source',
      enumDictionary: 'Enumeration dictionary',
      enumDictionaryTips: 'Please select a enumeration dictionary',
      custom: 'Custom',
      customAddress: 'Custom Address',
      customAddressTips: 'Please input Custom Address',
      customizeParameters: 'Customize Parameters (JSON format)',
      defaultParameters: 'Default value (JSON format)',
      defaultParametersTip: 'Please set the default value',
      indexNum: 'Serial number',
      selectValue: 'Option value',
      selectName: 'Option name',
      isDefault: 'IsDefault',
      operation: 'Operation',
      selectTips: 'Option name cannot be null !',
      selectValueTips: 'Option value cannot be null !',
      selectItemSingleTips: 'Option names are not unique!',
      selectItemValue: 'option values are not unique!',
      defaultSingleTips: 'Only one default value can be set for the selection -single ',
      selectCustomTips: 'Please set custom options',
      addData: 'Add',
      selectOptionSet: 'Select Option Settings',
      customSet: 'Custom rule Settings',
      ruleValueErrorTip1: 'The rule value cannot be smaller than the minimum value',
      ruleValueErrorTip2: 'The rule value cannot be greater than the maximum value',
      hasSetBusRules: 'User rule set',
    },
    user: {
      user: 'User',
      org: 'Organization',
      ruleValue: 'Rule value',
    },
  },
};

export default rules;
