import { watch, onBeforeUnmount } from 'vue';

// 测试记录数据用
const useTrack = (target: any, key: string) => {
  key = `_track_record_test_${key}`;

  watch(
    target,
    (val) => {
      let list = JSON.parse(sessionStorage.getItem(key) || '[]');
      list.push(val)
      sessionStorage.setItem(key, JSON.stringify(list));
    },
    {
      immediate: true, deep: true,
    }
  )

  onBeforeUnmount(() => {
    sessionStorage.removeItem(key);
  })

  return {
  }
}

export default useTrack;
