import type { GridStackWidget, GridStackNode, DDDragInOpt } from 'gridstack/dist/types';

export interface GridStackItem extends GridStackWidget {
  widgetId?: string,
  widgetName?: string,
  widgetConfig?: Object | any,
}

// 卡片属性
export interface BasicCardItem {
  // 默认行（高度）
  defaultRow: string | number,
  // 默认列（宽度）
  defaultCol: string | number,
  // 最小行
  minRow?: string | number,
  // 最小列
  minCol?: string | number,
}

// 看板卡片属性
export interface MetaGridStackItem {
  // 所属看板id
  boardId?: string | any,
  cardId: string,
  cardName: string,
  // 横坐标
  abscissa: string | number | any,
  // 纵坐标
  ordinate: string | number | any,
  width: string | number,
  height: string | number,
  cardState?: string | any,
  maxWidth?: string | number | any,
  minWidth?: string | number,
  maxHeight?: string | number | any,
  minHeight?: string | number,
}

export interface GridStackNodeItem extends GridStackNode {
  el?: HTMLElement,
  _id?: number,
  widgetId?: string,
  widgetConfig: Object | any,
}

export interface GridStackDragInConfig {
  el?: string,
  options?: DDDragInOpt,
}

export interface DbCardItem {
  // 卡片id
  EID: string,
  // 卡片编号
  ECODE: string,
  // 卡片名称
  ENAME: string,
  // 卡片分类id
  CARD_TYPE_ID: string,
  // 卡片分组
  CARD_GROUP: 'CUSTOM_CARD' | 'SYSTEM_CARD',
  // 卡片状态
  STATEID: 'ENABLE' | 'DISABLED',
  // 卡片默认行
  DEFAULT_ROW: string | number,
  // 卡片默认列
  DEFAULT_COL: string | number,
  // 卡片最小行
  MIN_ROW: string | number,
  // 卡片最小列
  MIN_COL: string | number,
}