import { GridStackItem, MetaGridStackItem, BasicCardItem, DbCardItem } from '@/components/widget-board/typing';
import { getCardComponent as _getCardComponent } from '@/components/widget-board/cardMapping/index';

export const transferInitialWidgetConfig = (config: MetaGridStackItem) => {
  return {
    x: parseInt(config.abscissa),
    y: parseInt(config.ordinate),
    w: parseInt(config.width as string),
    h: parseInt(config.height as string),
    maxW: config.maxWidth,
    minW: config.minWidth,
    maxH: config.maxHeight,
    minH: config.minHeight,
    // 自定义属性不能以_开头，不然会被gridstack delete
    widgetId: config.cardId,
    widgetName: config.cardName,
    // 保存接口给的卡片原始数据
    widgetConfig: config,
  }
}

export const transferMetaWidgetConfig = (config: BasicCardItem) => {
  let obj = {
    // x: config.abscissa,
    // y: config.ordinate,
    w: parseInt(config.defaultCol as string),
    h: parseInt(config.defaultRow as string),
    // maxW: config.maxWidth,
    // maxH: config.maxHeight,
    minW: config.minCol,
    minH: config.minRow,
    // widgetId: config.cardId,
    // widgetName: config.cardName,
    // widgetConfig: config,
  }

  for (let key in obj) {
    if (!obj[key] && obj[key] !== 0) {
      delete obj[key];
    }
  }

  return obj;
}

export const transferWidgetToCard = (config: GridStackItem) => {
  return {
    cardId: config.widgetId,
    cardName: config.widgetName,
    abscissa: config.x,
    ordinate: config.y,
    width: config.w,
    height: config.h,
    cardState: config?.widgetConfig?.cardState,
  }
}

export const transferDbCardtoInitialCard = (config: DbCardItem) => {
  let obj = {
    boardId: undefined,
    cardId: config.ECODE,
    cardName: config.ENAME,
    abscissa: undefined,
    ordinate: undefined,
    width: config.DEFAULT_COL,
    height: config.DEFAULT_ROW,
    maxWidth: undefined,
    minWidth: config.MIN_COL,
    maxHeight: undefined,
    minHeight: config.MIN_ROW,
  }
  for (let key in obj) {
    if (!obj[key] && obj[key] !== 0) {
      delete obj[key];
    }
  }
  return obj;
}

export const transferDbCardtoWidget = (config: DbCardItem) => {
  let obj = {
    x: undefined,
    y: undefined,
    w: parseInt(config.DEFAULT_COL as string),
    h: parseInt(config.DEFAULT_ROW as string),
    maxW: undefined,
    maxH: undefined,
    minW: parseInt(config.MIN_COL as string),
    minH: parseInt(config.MIN_ROW as string),
    widgetId: config.ECODE,
    widgetName: config.ENAME,
    widgetConfig: {
      // 卡片编码
      cardId: config.ECODE,
      cardName: config.ENAME,
      cardState: config.STATEID,
    },
  }

  // for (let key in obj) {
  //   if (!obj[key] && obj[key] !== 0) {
  //     delete obj[key];
  //   }
  // }

  return obj;
}

export const transferWidgetToCacheWidget = (config: GridStackItem) => {
  return {
    w: config.w,
    h: config.h,
    x: config.x,
    y: config.y,
    maxH: config.maxH,
    maxW: config.maxW,
    minH: config.minH,
    minW: config.minW,
    widgetId: config.widgetId,
    widgetName: config.widgetName,
    widgetConfig: config.widgetConfig,
  }
}

// 只保留卡片的尺寸位置等基本信息
export const getBasicCardConfig = (config: GridStackItem) => {
  return {
    w: config.w,
    h: config.h,
    x: config.x,
    y: config.y,
    maxH: config.maxH,
    maxW: config.maxW,
    minH: config.minH,
    minW: config.minW,
  }
}

// 卡片列表处理过滤
export const cardListHandleFilterFn = (config) => {
  // 停用状态的卡片不展示
  return config.cardState === 'ENABLE'
}

export const getCardComponent = _getCardComponent;