import { watch } from 'vue';
// import { useMultiTab } from '@/components/multi-tab';
import { useRouter } from 'vue-router';

const useClose = () => {
  const router = useRouter();
  // const [{ close }] = useMultiTab();

  let watcher;
  let cacheTarget;

  const clear = () => {
    watcher && watcher();
    watcher = null;
    cacheTarget && window.sessionStorage.removeItem(`_params_cache_${cacheTarget}`);
    cacheTarget = null;
  };

  const _close = (target: string, params?: object) => {
    const path = router.currentRoute.value?.path;
    if (!path) return;
    cacheTarget = target;
    if (params) {
      window.sessionStorage.setItem(`_params_cache_${target}`, JSON.stringify(params));
    }
    watcher = watch(
      () => router.currentRoute.value.path,
      () => {
        setTimeout(() => {
          clear();
        }, 1000);
      },
    );
    // close(path, target);
  };

  const _getParams = (target?: string) => {
    if (!target) {
      target = router.currentRoute.value?.path;
    }
    const params = window.sessionStorage.getItem(`_params_cache_${target}`);
    clear();
    if (!params) return;
    return JSON.parse(params);
  };

  return {
    close: _close,
    getParams: _getParams,
  };
};

export default useClose;
