/*
 * @Author       : xiaolin
 * @Date         : 2023-01-29 11:10:06
 * @LastEditors  : xiaolin
 * @LastEditTime : 2023-01-29 11:35:22
 * @Description  :
 * @FilePath     : \3dplaza-platform\packages\icpx-workbench\src\guard\languageGuard.ts
 */
import { setupI18n, autoLoadI18n } from '@crami/locale';
// import { STORAGE_LANG_KEY } from '@/store/mutation-type';
// import { localStorage } from '@/utils/local-storage';
// 模块联邦: 替换成远程引入
import { localStorage } from '@remote/icpx-platform/utils';
// import { defaultLang } from '../locales';

export function createLanguageGuard(router: any, app: any): void {
  // const lang = localStorage.get('zh-CN', defaultLang);
  setupI18n(app, {
    messages: {},
    locale: 'zh-CN',
    missingWarn: false,
    fallbackWarn: false,
    // 如果不需要国际化，可以打开如下两个配置，取消控制台的警告
    silentTranslationWarn: true,
    silentFallbackWarn: true,
    // 配置多语言模块加载信息
    loadLocalePool: [
      // 全局配置
      // {
      //   name: 'home',
      //   type: 'global',
      //   requestType: 'ts',
      //   glob: import.meta.glob('/src/locales/lang/*.ts'),
      // },
      {
        name: 'BoardManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
      {
        name: 'WidgetCategory',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
      {
        name: 'WidgetManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
      {
        name: 'MyBoardManagement',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
      {
        name: 'WorkbenchPreviewPage',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
      {
        name: 'WorkbenchEditPage',
        type: 'part',
        requestType: 'ts',
        glob: import.meta.glob('/src/views/Workbench/locales/*.ts'),
      },
    ],
  });

  // 使用router的路由守卫进行多语言的自动加载
  router.beforeEach(async (to, before, next) => {
    await autoLoadI18n(to.name as string);
    // await autoLoadI18n({ name: 'Message' });
    next();
  });
}
