import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/BoardManagement' },
  //工作台看板管理
  {
    path: '/BoardManagement',
    name: 'BoardManagement',
    component: () => import('@/views/Workbench/BoardManagement/Index.vue'),
  },
  //工作台卡片分类
  {
    path: '/WidgetCategory',
    name: 'WidgetCategory',
    component: () => import('@/views/Workbench/WidgetCategory/Index.vue'),
  },
  //工作台卡片管理
  {
    path: '/WidgetManagement',
    name: 'WidgetManagement',
    component: () => import('@/views/Workbench/WidgetManagement/Index.vue'),
  },
  //我的看板
  {
    path: '/MyBoardManagement',
    name: 'MyBoardManagement',
    component: () => import('@/views/Workbench/MyBoardManagement/Index.vue'),
  },
  //看板预览
  {
    path: '/WorkbenchPreviewPage',
    name: 'WorkbenchPreviewPage',
    component: () => import('@/views/Workbench/PreviewPage/Index.vue'),
  },
  //看板新增编辑
  {
    path: '/WorkbenchEditPage',
    name: 'WorkbenchEditPage',
    component: () => import('@/views/Workbench/EditPage/Index.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
