import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router';

// 路由配置信息
const routes = [
  { path: '/', redirect: '/InitiateWorkflow' },
  {
    path: '/Test',
    name: 'Test',
    component: () => import('@/components/Test.vue'),
  },
  //表单列表
  {
    path: '/FormList',
    name: 'FormList',
    component: () => import('@/views/FormBuilder/FormList/Index.vue'),
  },
  //表单实例
  {
    path: '/FormQuery',
    name: 'FormQuery',
    component: () => import('@/views/FormBuilder/FormQuery/Index.vue'),
  },
  //表单设计
  {
    path: '/FormDesigner/:MODELCODE',
    name: 'FormDesigner',
    component: () => import('@/views/FormBuilder/FormDesigner/Index.vue'),
  },
  //新建表单
  {
    path: '/CreateFormInstance',
    name: 'CreateFormInstance',
    component: () => import('@/views/FormBuilder/FormQuery/CreateFormInstance.vue'),
  },
  // 发起流程
  {
    path: '/InitiateWorkflow',
    name: 'InitiateWorkflow',
    component: () => import('@/views/Workflow/MyWorkflow/InitiateWorkflow.vue'),
  },
  // 新建流程
  {
    path: '/CreateProcess/:createProcessParams',
    name: 'CreateProcess',
    component: () => import('@/views/Workflow/MyWorkflow/CreateProcess.vue'),
  },
  // 流程评审
  {
    path: '/ApprovalManagement',
    name: 'ApprovalManagement',
    component: () => import('@/views/Workflow/MyWorkflow/ApprovalManagement.vue'),
  },
  // 查看流程
  {
    path: '/viewProcess',
    name: 'viewProcess',
    component: () => import('@/views/Workflow/MyWorkflow/ViewWorkflow.vue'),
  },
  // 流程代理
  {
    path: '/WorkflowAgent',
    name: 'WorkflowAgent',
    component: () => import('@/views/Workflow/MyWorkflow/WorkflowAgent.vue'),
  },
  // 流程模板
  {
    path: '/WorkflowTemplate',
    name: 'WorkflowTemplate',
    component: () => import('@/views/Workflow/WorkflowConfig/WorkflowTemplate.vue'),
  },
  // 流程实例
  {
    path: '/WorkflowExample',
    name: 'WorkflowExample',
    component: () => import('@/views/Workflow/WorkflowConfig/WorkflowExample.vue'),
  },
  // 流程调整
  // {
  //   path: '/AdjustmentProcess/:flowExampleld',
  //   name: 'AdjustmentProcess',
  //   component: () => import('@/views/Workflow/WorkflowConfig/AdjustmentProcess.vue'),
  // },
  // 流程设计
  {
    path: '/ProcessDesigner/:pro/:mode',
    name: 'ProcessDesigner',
    component: () => import('@/views/Workflow/WorkflowConfig/ProcessDesigner.vue'),
  },
];

// 创建路由
const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
