const permission = {
  permission: {
    common: {
      inputPlaceholder: 'please input',
      selectPlaceholder: 'please select',
      permission: 'permission',
      allow: 'allow',
      reject: 'reject',
      nothing: 'nothing',
      authorizedBody: 'Authorized subject',
      authorizedObject: 'Authorized object',
      authorizationConfig: 'Authorization configuration',
      selectMaxLen: 'The authorized subject can choose 50 items at most!',
      selectSubMaxLen: 'The authorized object can choose 50 items at most!',
      typeText: 'Select range:',
      typeCurrent: 'Current organization (default)',
      typeAll: 'All organizations',
      unit: 'item',
      notFoundContent: 'List is empty',
      addOperations: 'Add members',
      removeOperations: 'Remove members',
    },
    // 数据权限
    dataPermissionPolicy: {
      // 数据权限
      dataPermissionPolicy: {
        treeRightErrorMsg: 'tree right-click event list to get exceptions',
        tableTitle: 'Permission Policy List',
        closeMsg: 'The page is not saved. Exit?',
        baseInfo: 'Basic information',
        ename: 'Policy Name',
        inputMaxLen: 'The maximum length is 200',
        enameMsg: 'Please enter a policy name',
        statEid: 'Policy status',
        statEidMsg: 'Please select policy status',
        perDesc: 'Policy description',
        perDescMaxLen: 'Policy Description The maximum length is 100',
        subjectType: 'Authorized subject type',
        subjectTypeMsg: 'Please select the authorized subject type',
        subjectEid: 'Please select the authorized subject',
        objectType: 'Authorized object type',
        objectTypeMsg: 'Please select the authorized object',
        authorizedBodyTip:
          'Permission calculation:<br/>' +
          'The value is calculated according to the priority order<br/>' +
          '1. Users, creators, and owners<br/>' +
          '2. Administrative group, User group, Role, Owning administrative group, owning user group<br/>' +
          '3. The organization<br/>' +
          '4. The tenant',
        authorizedObjectTip:
          'Permission calculation:<br/>' +
          'Lower-level objects inherit upper-level objects and cannot be overwritten.  <br/>' +
          '1. Superior objects<br/>' +
          '2. Subordinate objects  <br/>' +
          'Instance and attribute merge, reject priority ',
        authorizationConfigTip:
          'Allows: Allows permission calculation  <br/>' +
          'Reject: Permission computed denial  <br/>' +
          'Nothing: The permission is calculated based on the parameter [Regarded as allowed/forbidden when querying rules] ',
        permissionSub: {
          attrSelect: 'Attribute selection',
          attrSelectTip:
            'The configured object attributes are calculated in AND mode during data permission rule calculation ',
          objectAttr: 'Object Attribute',
          objectAttrMsg: 'Please select object properties',
          objectAttrValue: 'Attribute value',
          objectAttrValueMsg: 'Please select attribute value',
          customAttr: 'Custom Attribute',
          customAttrTip:
            'You can customize object attributes, AND the above attributes are calculated in the manner of AND ',
          customAttrName: 'Object Attribute',
          customAttrNameMsg: 'Please enter a object attribute',
          customAttrNameMaxLen: 'Object attribute The maximum length is 20',
          customAttrOperation: 'Operators',
          customAttrOperationMsg: 'Please select operators',
          customAttrValue: 'Attribute value',
          customAttrValueMsg: 'Please enter a attribute value',
          customAttrValueMaxLen: 'Attribute value The maximum length is 50',
        },
        permissionSubType: {
          placeholder: 'Please enter the object type name to find',
          warningTip: 'Please select the object type to authorize',
        },
      },
    },
    // 数据权限参数
    dataPermissionParameters: {
      handlerTitle: 'Permission Policy Parameters',
      explainTitle: 'Description of data permission calculation',
      objPermission: 'Object authorization',
      objPermissionHelp:
        'Object authorization parameter switch, enabled by default. <br/> Enable: a user grants its own permissions to others. <br/> Disabled: Cannot be reweighted',
      flowPermission: 'Process object Authorization',
      flowPermissionHelp:
        'Process object permissions, enabled by default; <br /> Enable: users on the process node can temporarily grant the permissions configured in the node; <br /> Disable: A user can only calculate whether data has permission on a flow node, but cannot temporarily authorize data',
      noRulePermission: 'Processing policy without permission rule matching',
      noRulePermissionHelp:
        "Processing policy when there is no data permission rule matching. It is allowed by default;<br / > Allow: when the user's calculation data permission does not match the rule, it is considered allowed<br / > Disable: when the user's calculation data permission does not match the rule, it is regarded as prohibited;",
      adminPermission: 'Whether to override permission control',
      adminPermissionHelp:
        'The default value is no.  <br /> Yes: The super management permission must be controlled by the permission policy, or only the management background permission must be controlled.  <br /> No: Supermanagement is not subject to permission control and has the highest system functions and data rights.  ',
      explainSubTitle: 'Permission determination Priority determination:',
      progressOne: 'Whether the override is restricted:',
      progressTwo: 'Process permissions:',
      progressFour: 'Permission policy:',
      progressDescOne: 'yes',
      progressDesc: 'enable status',
      explainDesc: 'From the bottom up, from the inside out',
      explainDesc1:
        '(1) Left scope of action (subordinate inherits superior, subordinate can override superior)',
      explainDesc1Content: '①container<br />②organization<br />③tenement<br />',
      explainDesc2:
        '(2) The main body within the scope of function is from bottom to top :(the subordinate inherits the superior, and the subordinate can cover the superior)',
      explainDesc2Content:
        ' ①user/creator/owner<br /> ②administrative group/User group/role/Object Owning Administrative group/Object owning service group <br />③organization<br />④all users (tenant)<br />',
      explainDesc3:
        '(3) Object object from top to bottom, from outside to inside;  (A subclass inherits its parent class, and a subclass overrides its parent class) ',
      explainDesc3Content: ' ①subclass <br />②superclass<br />',
      explainDescLast: 'In case of conflict, the priority is taken and the priority is rejected.',
    },
    // 对象授权参数
    // productionPermission: {
    //   tableParams: {
    //     tableTitle: 'Object authorization',
    //   },
    //   formParams: {
    //     formTitle: 'Object authorization policy',
    //     expireTime: 'Expiration of authorization',
    //     subjectType: 'Authorized subject type',
    //     selectTimePlaceholder: 'please select expiration date (date, hour, minute)',
    //     subjectTypeMsg: 'Please select the authorized subject type',
    //     subjectEid: 'Please select the authorized subject',
    //   },
    //   objectInformation: {
    //     title: 'Object information',
    //     objectTypeName: 'Authorized object type',
    //     objectLabel: 'Authorized object',
    //   },
    // },
  },
};

export default permission;
