const permission = {
  permission: {
    common: {
      inputPlaceholder: '请输入',
      selectPlaceholder: '请选择',
      permission: '权限',
      allow: '授予',
      reject: '拒绝',
      nothing: '无',
      authorizedBody: '授权主体',
      authorizedObject: '授权客体',
      authorizationConfig: '权限配置',
      selectMaxLen: '授权主体授权范围最多可选择50条！',
      selectSubMaxLen: '授权客体授权范围最多可选择50条！',
      typeText: '选择范围：',
      typeCurrent: '当前组织（默认）',
      typeAll: '所有组织',
      unit: '项',
      notFoundContent: '列表为空',
      addOperations: '添加成员',
      removeOperations: '移除成员',
    },
    // 数据权限策略
    dataPermissionPolicy: {
      // 数据权限策略
      dataPermissionPolicy: {
        treeRightErrorMsg: '树右键事件列表获取异常',
        tableTitle: '权限策略列表',
        closeMsg: '页面未保存，是否退出?',
        baseInfo: '基本信息',
        ename: '策略名称',
        inputMaxLen: '输入最大长度200',
        enameMsg: '请输入策略名称',
        statEid: '策略状态',
        statEidMsg: '请选择策略状态',
        perDesc: '策略描述',
        perDescMaxLen: '策略描述最大长度100',
        subjectType: '授权主体类型',
        subjectTypeMsg: '请选择授权主体类型',
        subjectEid: '请选择授权主体',
        objectType: '授权客体类型',
        objectTypeMsg: '请选择授权客体类型',
        authorizedBodyTip:
          '权限计算：<br/>' +
          '按照优先级顺序计算，平级拒绝优先<br/>' +
          '1. 用户、创建者、拥有者<br/>' +
          '2. 行政组、用户组、角色、所属行政组、所属用户组<br/>' +
          '3. 组织<br/>' +
          '4. 租户',
        authorizedObjectTip:
          '权限计算：<br/>' +
          '按照优先级顺序计算，下级对象继承上级对象，不可覆盖；<br/>' +
          '1. 上级对象<br/>' +
          '2. 下级对象<br/>' +
          '实例与属性合并，拒绝优先',
        authorizationConfigTip:
          '授予：权限计算时允许<br/>' +
          '拒绝：权限计算时禁止<br/>' +
          '无：权限计算时根据参数【查询规则时视为允许/禁止】',
        permissionSub: {
          attrSelect: '属性选择',
          attrSelectTip: '配置的对象属性在数据权限规则计算时，按照AND的方式计算',
          objectAttr: '客体属性',
          objectAttrMsg: '请选择客体属性',
          objectAttrValue: '属性值',
          objectAttrValueMsg: '请选择属性值',
          customAttr: '自定义属性',
          customAttrTip: '可自定义对象属性，与上方的属性按照AND的方式计算',
          customAttrName: '客体属性',
          customAttrNameMsg: '请输入客体属性',
          customAttrNameMaxLen: '客体属性长度不得超过20',
          customAttrOperation: '操作符',
          customAttrOperationMsg: '请选择操作符',
          customAttrValue: '属性值',
          customAttrValueMsg: '请输入属性值',
          customAttrValueMaxLen: '属性值长度不得超过50',
        },
        permissionSubType: {
          placeholder: '请输入对象类型名称查找',
          warningTip: '请选择要授权的客体类型',
        },
      },
    },
    // 数据权限参数
    dataPermissionParameters: {
      handlerTitle: '权限策略参数',
      explainTitle: '数据权限计算说明',
      objPermission: '对象授权',
      objPermissionHelp:
        '对象授权参数开关，默认启用；<br/>启用：用户将自身已有权限赋予他人；<br/>禁用：无法二次赋权',
      flowPermission: '流程对象授权',
      flowPermissionHelp:
        '流程对象权限，默认启用；<br />启用：用户在流程节点，可临时授予节点中配置的权限；<br />禁用：用户在流程节点，只能计算数据有无权限，无法临时授权',
      noRulePermission: '无权限规则匹配时处理策略',
      noRulePermissionHelp:
        '无数据权限规则匹配时处理策略，默认允许；<br />允许：用户计算数据权限没有匹配到规则时，视为允许；<br />禁用：用户计算数据权限没有匹配到规则时，视为禁止；',
      adminPermission: '超管是否权限控制',
      adminPermissionHelp:
        '超管是否权限控制，默认否；<br />是：超管权限需要受权限策略控制，或控制只有管理后台权限；<br />否：超管不受权限控制，拥有系统最高功能和数据权限；',
      explainSubTitle: '权限判定优先级判定：',
      progressOne: '超管是否受限:',
      progressTwo: '流程权限:',
      progressFour: '权限策略:',
      progressDescOne: '是',
      progressDesc: '启用状态',
      explainDesc: '由下向上、由内向外',
      explainDesc1: '（1）左侧作用范围（下级继承上级，下级可覆盖上级）',
      explainDesc1Content: '①容器<br />②组织<br />③租户<br />',
      explainDesc2: '（2）作用范围内主体由下往上：（下级继承上级，下级可覆盖上级）',
      explainDesc2Content:
        ' ①用户/创建者/拥有者<br /> ②行政组/用户组/角色/客体所属行政组/客体所属业务组<br />③组织<br />④全体用户（租户）<br />',
      explainDesc3: '（3）客体对象由上往下，由外向内；（子类继承父类，子类可覆盖父类）',
      explainDesc3Content: ' ①子类 <br />②父类<br />',
      explainDescLast: '冲突时按照优先级取，平级拒绝优先；',
    },
    // 对象授权参数
    // productionPermission: {
    //   tableParams: {
    //     tableTitle: '对象授权',
    //   },
    //   formParams: {
    //     formTitle: '对象授权策略',
    //     expireTime: '授权截止有效期',
    //     subjectType: '授权主体类型',
    //     selectTimePlaceholder: '请选择截止有效期（日期、时、分）',
    //     subjectTypeMsg: '请选择授权主体类型',
    //     subjectEid: '请选择授权主体',
    //   },
    //   objectInformation: {
    //     title: '客体信息',
    //     objectTypeName: '客体类型',
    //     objectLabel: '客体',
    //   },
    // },
  },
};

export default permission;
