import { defineAsyncComponent, defineComponent, h, ref } from 'vue';
import generatedRoutes from 'virtual:generated-pages';
export default defineComponent({
  name: 'AsyncComponent',
  props: {
    componentName: {
      type: String,
      default: '',
    },
    componentProps: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  setup(props, { expose }) {
    const allName = generatedRoutes;
    let registerComImport = null;
    const componentRef = ref();
    for (const item of allName) {
      if (item.path === props.componentName.toLowerCase()) {
        registerComImport = item.component;
      }
    }
    const asyncRegisterCom = registerComImport ? defineAsyncComponent(registerComImport) : null;
    expose({
      asyncRegisterCom,
      componentRef,
    });
    return () => {
      return props.componentName && asyncRegisterCom ? (
        <div style="min-height: 500px">
          <asyncRegisterCom
            ref={componentRef}
            componentProps={props.componentProps || {}}
          ></asyncRegisterCom>
        </div>
      ) : (
        <div style="min-height: 500px"></div>
      );
    };
  },
});
