// 节点规则事件
import inherits from 'inherits';

import RuleProvider from 'diagram-js/lib/features/rules/RuleProvider';

export default function CustomRules(eventBus) {
  RuleProvider.call(this, eventBus);
}

inherits(CustomRules, RuleProvider);

CustomRules.$inject = ['eventBus'];

CustomRules.prototype.init = function () {
  // 节点不能连接自身判断
  this.addRule(['connection.create', 'connection.reconnect'], 1500, ({ source, target }) => {
    if (source == target) {
      return false;
    }
  });
};
