import { Http } from '@crami/http';
import { config } from '@crami/lowcode-vue-renderer';
export interface PageSchema {
  componentsMap: Array<any>;
  componentsTree: Array<any>;
}

/**
 * 获取schema
 *
 * @param pageId
 * @return Promise<ResponseBody<PageSchema>>
 */
export function getSchemaById(params: {
  pageId: string;
  projectCode: string;
  appCode: string;
}): Promise<any> {
  const { pageId, projectCode, appCode } = params;
  return Http.request({
    url: '/loki-server/page/schema',
    method: 'GET',
    params: {
      fileName: pageId.match(/.*\/(.+).pageSchema/)?.[1],
      projectCode,
      appCode,
      userId: config.getGlobalDataSourceParams()?.userId,
    },
  });
}
