import { buildComponents } from '@crami/lowcode-utils';
import { getSchemaById } from '../../api/page';
import pkgJson from '../../views/preview/packages.json';

export async function getSchema(params): Promise<{ schema: string; components: any }> {
  const packages = pkgJson;
  const projectSchema: any = await getSchemaById(params);
  if (!projectSchema?.data) {
    return Promise.reject('获取schema错误');
  }

  const { componentsMap: componentsMapArray, componentsTree } = projectSchema.data as any;
  const componentsMap: any = {};

  componentsMapArray.forEach((component: any) => {
    componentsMap[component.componentName] = component;
  });

  const libraryMap = {};
  packages.forEach(({ package: _package, library }) => {
    libraryMap[_package] = library;
  });
  const components = buildComponents(libraryMap, componentsMap);
  return { schema: componentsTree[0], components };
}
